<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Configuration
*****************************************************************/

$Doc->setTemplate(TEMPLATE_PATH.'/admin_config.tpl');

if (defined("__ADMIN__")) {

	if (!isset($_POST['action'])) $_POST['action'] = '';

	// Load configs
	$CONFIG = array();
	$result = db_get_config('STATS','CONFIG','','');
	if (!is_null($result)) {
		while ($row = mysql_fetch_array($result)) {
			$CONFIG[$row['config_name']] = array(
				'config_value'=>$row['config_value'],
				'config_default'=>$row['config_default'],
				'config_type'=>$row['config_type']
			);
		}
	}
	
	if ($_POST['action'] == 'update_config') {
		$count = 0;
		foreach ($CONFIG as $key => $value) {
			if ($CONFIG[$key]['config_type']=='B') {
				if (!isset($_POST[$key])) $_POST[$key] = 'false';
			}
			if ($_POST[$key] != $CONFIG[$key]['config_value']) {
				$count += db_update_config('STATS','CONFIG',$key,'',array('config_value'=>(string)$_POST[$key]));
				$CONFIG[$key]['config_value'] = $_POST[$key];
			}
		}
		
		// Clear out web cache
		if ($_POST['CFG_CACHE'] == 'false') {
			task_dir_cleanup(WEB_PATH.'/cache/',time());
		}

		$Doc->setDocumentData('msg', get_token_string(L_CONFIG_UPDATED,array($count)));
	}
	
	$defaults = array();
	foreach ($CONFIG as $key => $value) {
		if ($CONFIG[$key]['config_type'] == 'B') {
			$Doc->setDocumentData($key, ($CONFIG[$key]['config_value']=='false')?'':'checked');
		}
		else {
			$Doc->setDocumentData($key, $CONFIG[$key]['config_value']);
		}
		$Doc->setDocumentData($key.'_default', $CONFIG[$key]['config_default']);
		array_push(
			$defaults,
			array(
				'config_name'=>$key,
				'config_ext'=>($CONFIG[$key]['config_type']=='B')?'.checked':'.value',
				'config_default'=>($CONFIG[$key]['config_type']=='T')?"'".$CONFIG[$key]['config_default']."'":$CONFIG[$key]['config_default']
			)
		);
	}
	$Doc->setDocumentData('defaults', $defaults);
	
	// List of templates
	$Doc->setDocumentData('templates',get_folders(PROGRAM_PATH.'/templates/'));
	
	// List of languages
	$Doc->setDocumentData('languages',get_files(PROGRAM_PATH.'/languages/',true));
}
?>