<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Data Management
*****************************************************************/

$Doc->setTemplate(TEMPLATE_PATH.'/admin_data.tpl');

if (defined("__ADMIN__")) {

	if (is_null($GAME) && sizeof($GAME_mods) > 0) {
		header("Location: ".PHP_SELF."?q=data&game=".key($GAME_mods));
	}
	else {
		$Doc->setDocumentData('game',$GAME);
	}
	
	if (sizeof($GAME_mods) > 1) {
		$MODS = array();
		foreach ($GAME_mods as $key => $value) {
			array_push($MODS, array('mod'=>$key,'name'=>$value));
		}
		$Doc->setDocumentData('mods',$MODS);
		$Doc->setDocumentData('show_select',true);
	}

	if (!isset($_POST['action'])) $_POST['action'] = '';

	if (strlen($_POST['action']) > 0) {
		if ($_POST['action'] == 'clean_database') {
			$changes = db_clean($GAME);
			$Doc->setDocumentData('msg', get_token_string(L_DB_CLEAN_MSG, array($changes)));
		}
		else if ($_POST['action'] == 'reset_database') {
			$changes = db_reset($GAME);
			$Doc->setDocumentData('msg', get_token_string(L_DB_RESET_MSG, array($changes)));
		}
		else if ($_POST['action'] == 'clear_database') {
			$changes = db_clear($GAME);
			$Doc->setDocumentData('msg', get_token_string(L_DB_CLEAR_MSG, array($changes)));
		}
		else if ($_POST['action'] == 'delete_player') {
			$changes = db_find_delete_player($GAME,$_POST['player'],$_POST['type']);
			if ($changes > 0) {
				$Doc->setDocumentData('msg', get_token_string(L_PLAYER_DELETED, array($_POST['player'],$changes)));
			}
			else {
				$Doc->setDocumentData('msg', get_token_string(L_PLAYER_NOT_FOUND, array($_POST['player'])));
			}
		}
		else if ($_POST['action'] == 'do_awards' && strlen($_POST['month']) && strlen($_POST['year'])) {
			if ($_POST['type'] == 'give') {
				global $GAME_weapons;
				global $GAME_misc;
				
				$changes = db_reset_awards($GAME,$_POST['month'],$_POST['year']);
				
				// Weapon awards
				foreach ($GAME_weapons as $key => $value) {
					$changes += db_award_cat($GAME,$_POST['month'],$_POST['year'],$key);
				}
				
				// Misc awards
				foreach ($GAME_misc as $key => $value) {
					$changes += db_award_cat($GAME,$_POST['month'],$_POST['year'],$key);
				}
			
				$changes += db_award_topten($GAME,$_POST['month'],$_POST['year']);
				$Doc->setDocumentData('msg', get_token_string(L_GIVE_AWARDS_MSG, array(date('M',mktime(0,0,0,$_POST['month'],1,0)),$_POST['year'],$changes)));
			}
			else if ($_POST['type'] == 'delete') {
				$changes = db_reset_awards($GAME,$_POST['month'],$_POST['year']);
				$Doc->setDocumentData('msg', get_token_string(L_DELETE_AWARDS_MSG, array(date('M',mktime(0,0,0,$_POST['month'],1,0)),$_POST['year'],$changes)));
			}
		}
		else if ($_POST['action'] == 'clear_cache') {
			$count = task_dir_cleanup(WEB_PATH.'/cache/',time());
			$Doc->setDocumentData('msg', get_token_string(L_CLEAR_CACHE_MSG, array($count)));
		}
	}
}
?>
