<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Modifiers
*****************************************************************/

$Doc->setTemplate(TEMPLATE_PATH.'/admin_mod.tpl');

if (defined("__ADMIN__")) {

	if (is_null($GAME) && sizeof($GAME_mods) > 0) {
		header("Location: ".PHP_SELF."?q=mod&game=".key($GAME_mods));
	}
	else {
		$Doc->setDocumentData('game',$GAME);
	}
	
	if (sizeof($GAME_mods) > 1) {
		$MODS = array();
		foreach ($GAME_mods as $key => $value) {
			array_push($MODS, array('mod'=>$key,'name'=>$value));
		}
		$Doc->setDocumentData('mods',$MODS);
		$Doc->setDocumentData('show_select',true);
	}

	if (!isset($_POST['action'])) $_POST['action'] = '';
	
	if (isset($_GET['game'])) {

		// Load default values
		$defaults = array();
		$result = db_get_config(strtoupper($_GET['game']),'','','');
		if (!is_null($result)) {
			while ($row = mysql_fetch_array($result)) {
				$defaults[$row['config_name']] = $row['config_default'];
			}
		}
		
		if ($_POST['action'] == 'update_mod') {
			$count = 0;
			foreach ($_POST as $key => $value) {
				$key = str_replace('mod_','',$key);
				if (is_valid_weapon($key) && $value != $GAME_weapons[$key]['mod']) {
					$count += db_update_config(strtoupper($_GET['game']),'WEAPON',$key,'',array('config_value'=>(string)$value));
					$GAME_weapons[$key]['mod'] = $value;
				}
				else if (is_valid_action($key) && $value != $GAME_actions[$key]['mod']) {
					$count += db_update_config(strtoupper($_GET['game']),'ACTION',$key,'',array('config_value'=>(string)$value));
					$GAME_actions[$key]['mod'] = $value;
				}
			}
	
			$Doc->setDocumentData('msg', get_token_string(L_CONFIG_UPDATED,array($count)));
		}
	
		$weapons = array();
		$actions = array();
	
		foreach ($GAME_weapons as $key => $value) {
			array_push(
				$weapons,
				array(
					'weapon_key'=>'mod_'.$key,
					'weapon_name'=>get_weapon_name($key),
					'weapon_mod'=>get_weapon_mod($key),
					'weapon_default'=>$defaults[$key]
				)
			);
		}
		$Doc->setDocumentData('weapons', $weapons);
		
		foreach ($GAME_actions as $key => $value) {
			array_push(
				$actions,
				array(
					'action_key'=>'mod_'.$key,
					'action_name'=>get_action_name($key),
					'action_mod'=>get_action_mod($key),
					'action_default'=>$defaults[$key]
				)
			);
		}
		$Doc->setDocumentData('actions', $actions);
		$Doc->setDocumentData('mod_msg', get_token_string(L_SCORE_BASE_MSG,array(CFG_SCORE_BASE)));

	} // end game check
}
?>