<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Server Registry
*****************************************************************/

$Doc->setTemplate(TEMPLATE_PATH.'/admin_servers.tpl');

if (defined("__ADMIN__")) {

	if (!isset($_POST['action'])) $_POST['action'] = '';
	
	$num = db_get_server_count();

	// Add server
	if ($_POST['action'] == 'add_server') {
		if (is_valid_address($_POST['server_address'])) {
			if ($_POST['SID'] == '0') {
				db_new_server(
					$_POST['server_game'],
					md5($_POST['server_address'].STATS_SEED),
					$num+1,
					$_POST['server_address'],
					$_POST['server_name'],
					(!isset($_POST['ps_enabled']))?'0':'1',
					(!isset($_POST['ss_enabled']))?'0':'1',
					(!isset($_POST['lf_enabled']))?'0':'1'
				);
				$num += 1;
			}
			else {
				db_update_server(
					$_POST['server_game'],
					$_POST['SID'],
					$_POST['server_address'],
					$_POST['server_name'],
					(!isset($_POST['ps_enabled']))?'0':'1',
					(!isset($_POST['ss_enabled']))?'0':'1',
					(!isset($_POST['lf_enabled']))?'0':'1'
				);
			}
		}
		else {
			$Doc->setDocumentData('msg', L_INVALID_ADDRESS);
			$Doc->setDocumentData('post_name', $_POST['server_name']);
			$Doc->setDocumentData('post_address', $_POST['server_address']);
		}
	}
	// Remove server
	else if ($_POST['action'] == 'remove_server') {
		db_remove_server($_POST['SID']);
		$num -= 1;
	}
	// Move server
	else if ($_POST['action'] == 'move_up' || $_POST['action'] == 'move_down') {
		if (!($_POST['action']=='move_up' && $_POST['server_num']==1) && 
			!($_POST['action']=='move_down' && $_POST['server_num']==$num)) {
			db_move_server($_POST['server_num'],$_POST['action']);
		}
	}
	
	// Get list of servers
	$result = db_web_servers(null);
	
	if (!is_null($result)) {
		$rows = mysql_num_rows($result);
		$servers = array();
		
		while($row = mysql_fetch_array($result)) {
			array_push(
				$servers,
				array(
					'SID'=>$row['SID'],
					'server_num'=>$row['server_num'],
					'server_name'=>$row['server_name'],
					'server_address'=>$row['server_address'],
					'server_game'=>$row['GAME'],
					'ps_enabled_txt'=>(get_yesno_color((int)$row['ps_enabled'])),
					'ss_enabled_txt'=>(get_yesno_color((int)$row['ss_enabled'])),
					'lf_enabled_txt'=>(get_yesno_color((int)$row['lf_enabled'])),
					'ps_enabled'=>((int)$row['ps_enabled']),
					'ss_enabled'=>((int)$row['ss_enabled']),
					'lf_enabled'=>((int)$row['lf_enabled'])
				)
			);
		}
		$Doc->setDocumentData('servers',$servers);
	}	

	$MODS = array();
	foreach ($GAME_mods as $key => $value) {
		array_push($MODS, array('mod'=>$key,'name'=>$value));
	}
	$Doc->setDocumentData('mods',$MODS);
	
	$Doc->setDocumentData('start_num',$num+1);
}
?>
