<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/*****************************************************************
* Check Functions
*****************************************************************/

// Checks if weapon is valid
function is_valid_weapon($weapon) {
	global $GAME_weapons;
	return isset($GAME_weapons[$weapon]);
}

// Checks if player action is valid
function is_valid_action($action) {
	global $GAME_actions;
	return isset($GAME_actions[$action]);
}

// Checks if award is valid
function is_valid_award($award) {
	global $GAME_misc;
	return isset($GAME_misc[$award]);
}

// Checks if team action is valid
function is_valid_team_action($action) {
	global $GAME_team_actions;
	return in_array($action,$GAME_team_actions);
}

// Checks if world action is valid
function is_valid_world_action($action) {
	global $GAME_world_actions;
	return in_array($action,$GAME_world_actions);
}

// Checks if cvar is valid
function is_valid_cvar($cvar) {
	global $GAME_cvars;
	return in_array($cvar,$GAME_cvars);
}

// Checks for a valid server address
function is_valid_address($address) {
	return (preg_match("/^(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5]):([0-9]+)$/",$address)
		|| preg_match("/^([a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?\.)+[a-zA-Z]{2,6}:([0-9]+)$/",$address)
	);
}
?>