<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/*****************************************************************
* Logging functions
*****************************************************************/

// Outputs parse events to log
function log_parser($str) {
	if (CFG_DEBUG) {
		echo "<!--$str\n-->\n";
	}
	if (CFG_DEBUG_LOG == 1 || CFG_DEBUG_LOG == 4) {
		log_out($str,PROGRAM_PATH.'/logs/debug-parser.log');
	}
	else if (CFG_DEBUG_LOG == 3) {
		log_out($str,PROGRAM_PATH.'/logs/debug.log');
	}
}

// Outputs database events to log
function log_db($str) {
	if (CFG_DEBUG && !defined("__IMAGE__")) {
		echo "<!--$str\n-->\n";
	}
	if (CFG_DEBUG_LOG == 2 || CFG_DEBUG_LOG == 4) {
		log_out($str,PROGRAM_PATH.'/logs/debug-db.log');
	}
	else if (CFG_DEBUG_LOG == 3) {
		log_out($str,PROGRAM_PATH.'/logs/debug.log');
	}
}

// Logs program usage statistics
function log_usage($str) {
	log_out($str,PROGRAM_PATH.'/logs/usage.log');
}

// Logs program errors
function log_error($str) {
	log_out($str,PROGRAM_PATH.'/logs/error.log');
}

// Outputs string to a log file
function log_out($str,$file) {
	// Hack: fix for long text sql
	if (strlen($str) > 1024) {
		return;
		$str = substr($str,0,1024).'...';
	}
	$fp = fopen($file,'a+');
	flock($fp,2);
	fwrite($fp,date("m/d/Y H:i:s - ")."$str\n");
	fclose($fp);
}
?>
