<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Player Hits Chart
*****************************************************************/

$w = 200;
$h = 210;
$img = imagecreatetruecolor($w,$h);

$img_hits0 = imagecreatefrompng('images/'.$_GET['game'].'/hits/hits0.png');
$img_hits1 = imagecreatefrompng('images/'.$_GET['game'].'/hits/hits1.png');
$img_hits2 = imagecreatefrompng('images/'.$_GET['game'].'/hits/hits2.png');
$img_hits3 = imagecreatefrompng('images/'.$_GET['game'].'/hits/hits3.png');
$img_hits4 = imagecreatefrompng('images/'.$_GET['game'].'/hits/hits4.png');
$img_hits5 = imagecreatefrompng('images/'.$_GET['game'].'/hits/hits5.png');
$img_hits6 = imagecreatefrompng('images/'.$_GET['game'].'/hits/hits6.png');

if (isset($_GET['weapon']) && is_valid_weapon($_GET['weapon'])) {
	$img_weapon = imagecreatefrompng('images/'.$GAME.'/weapons/'.$_GET['weapon'].'.png');
}

// Load colors
$bg_colors = explode(',',constant("IMG_PLAYER_HITS_BG"));
$text_colors = explode(',',constant("IMG_PLAYER_HITS_TEXT"));
$line_colors = explode(',',constant("IMG_PLAYER_HITS_LINE"));

// Set colors
$bg = imagecolorallocate($img,$bg_colors[0],$bg_colors[1],$bg_colors[2]);
$text = imagecolorallocate($img,$text_colors[0],$text_colors[1],$text_colors[2]);
$line = imagecolorallocate($img,$line_colors[0],$line_colors[1],$line_colors[2]);

// Set background
imagefilledrectangle($img,0,0,$w,$h,$bg);

// Get data
$result = db_web_player_weapon_hits($_GET['uid'],$_GET['weapon']);

$hits = array(
	'head'=>array('y'=>89,'x'=>6,'width'=>22,'height'=>27,'textx'=>120,'texty'=>0,'linex'=>102,'liney'=>15),
	'chest'=>array('y'=>75,'x'=>33,'width'=>51,'height'=>34,'textx'=>140,'texty'=>70,'linex'=>102,'liney'=>50),
	'stomach'=>array('y'=>75,'x'=>67,'width'=>50,'height'=>30,'textx'=>140,'texty'=>100,'linex'=>102,'liney'=>80),
	'rightarm'=>array('y'=>125,'x'=>32,'width'=>76,'height'=>30,'textx'=>140,'texty'=>20,'linex'=>150,'liney'=>45),
	'leftarm'=>array('y'=>0,'x'=>32,'width'=>76,'height'=>30,'textx'=>0,'texty'=>20,'linex'=>50,'liney'=>45),
	'rightleg'=>array('y'=>70,'x'=>95,'width'=>33,'height'=>103,'textx'=>0,'texty'=>150,'linex'=>85,'liney'=>130),
	'leftleg'=>array('y'=>103,'x'=>95,'width'=>33,'height'=>103,'textx'=>140,'texty'=>150,'linex'=>115,'liney'=>130)
);

$total_hits = 0;

if (!is_null($result)) {
	$rows = mysql_num_rows($result);
	if ($rows) {
		$row = mysql_fetch_array($result);

		$total_hits += $row['hits_head'];
		$total_hits += $row['hits_leftarm'];
		$total_hits += $row['hits_rightarm'];
		$total_hits += $row['hits_leftleg'];
		$total_hits += $row['hits_rightleg'];
		$total_hits += $row['hits_chest'];
		$total_hits += $row['hits_stomach'];

		/* Generic hits are not generated properly by csstats 
		$total_hits += $row['hits_generic'];
		if ($row['hits_generic'] > 0) {
			foreach ($hits as $key => $value) {
				$row['hits_'.$key] += $row['hits_generic'];
			}
		}
		*/
		
		if ($total_hits) $div = $total_hits;
		else $div = 1;
		
		foreach ($hits as $key => $value) {

			$hit = (int)(($row['hits_'.$key]/$div)*100);

			if ($hit < 1) {
				$copy = $img_hits0;
			}
			else if ($hit < 10) {
				$copy = $img_hits1;
			}
			else if ($hit < 30) {
				$copy = $img_hits2;
			}
			else if ($hit < 40) {
				$copy = $img_hits3;
			}
			else if ($hit < 50) {
				$copy = $img_hits4;
			}
			else if ($hit < 60) {
				$copy = $img_hits5;
			}
			else {
				$copy = $img_hits6;
			}
			
			$y = $hits[$key]['y'];
			$x = $hits[$key]['x'];
			$width = $hits[$key]['width'];
			$height = $hits[$key]['height'];
			
			imagecopy($img,$copy,$y,$x,$y,$x,$width,$height);
		}
		// Draw text and lines
		foreach ($hits as $key => $value) {
			if ($row['hits_'.$key] > 0) {
				$string = ((int)$row['hits_'.$key]).' ('.(int)(($row['hits_'.$key]/$div)*100).'%)';
				$x1 = $hits[$key]['textx'];
				$y1 = $hits[$key]['texty'];
				$x2 = $hits[$key]['linex'];
				$y2 = $hits[$key]['liney'];
				imageline(
					$img,
					$x1+((imagefontwidth(2)*strlen($string))/2),
					$y1+(imagefontheight(2)/2),
					$x2,
					$y2,
					$line
				);
				imagefilledrectangle($img,$x1-2,$y1,$x1+imagefontwidth(2)*strlen($string),$y1+imagefontheight(2),$bg);
				imagestring($img,2,$x1,$y1,$string,$text);
			}
		}
	}
}

// Draw total
imagestring($img,2,0,$h-imagefontheight(2),'Total hits: '.$total_hits,$text);

// Copy weapon image
if (isset($_GET['weapon']) && is_valid_weapon($_GET['weapon'])) {
	$size = getimagesize('images/'.$GAME.'/weapons/'.$_GET['weapon'].'.png');
	imagecopyresampled($img,$img_weapon,0,70,0,0,$size[0]*0.7,$size[1]*0.7,$size[0],$size[1]);
	imagestring($img,2,$w-(imagefontwidth(2)*strlen($_GET['weapon'])),$h-imagefontheight(2),strtoupper($_GET['weapon']),$text);
}
else {
	imagestring($img,2,$w-(imagefontwidth(2)*strlen(L_ALL_WEAPONS)),$h-imagefontheight(2),strtoupper(L_ALL_WEAPONS),$text);
}

// Clean up
imagetruecolortopalette($img,true,256);
imagedestroy($img_hits0);
imagedestroy($img_hits1);
imagedestroy($img_hits2);
imagedestroy($img_hits3);
imagedestroy($img_hits4);
imagedestroy($img_hits5);
imagedestroy($img_hits6);

if (isset($_GET['weapon']) && is_valid_weapon($_GET['weapon'])) {
	imagedestroy($img_weapon);
}
?>
