<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Player Score Chart
*****************************************************************/

$width = 240;
$height = 100;
$spacing = 40;
$img = imagecreate($width,$height);

// Set colors
$bg = get_config_color($img,"IMG_PLAYER_SCORE_BG");
$line = get_config_color($img,"IMG_PLAYER_SCORE_LINE");
$border = get_config_color($img,"IMG_PLAYER_SCORE_BORDER");
$grid = get_config_color($img,"IMG_PLAYER_SCORE_GRID");
$text = get_config_color($img,"IMG_PLAYER_SCORE_TEXT");

// Get data
$result = db_web_player_scores($_GET['uid']);

// Draw image
if (!is_null($result)) {
	$row = mysql_fetch_row($result);
	$scores = explode("\n",$row[0]);

	$graph = array();
	foreach ($scores as $value) {
		$data = explode("\"",$value);
		$graph[] = $data[0];
	}
	
	$max = (int)max($graph);
	$min = (int)min($graph);
	$top = 1;
	$bottom = 2;
	$x = $spacing+1;
	$y = $height-($top+$bottom);
	$inc = ($width-$spacing)/(sizeof($graph)-1);

	// Draw chart
	imagefilledrectangle($img,0,0,$width,$height,$bg);
	imageline($img,$spacing,$height/2,$width,$height/2,$grid);
	
	// Draw text
	imagestring($img,1,$spacing-imagefontwidth(1)*(strlen($max)+1),0,$max,$text);
	imagestring($img,1,$spacing-imagefontwidth(1)*(strlen($min)+1),$height-imagefontheight(1),$min,$text);
	$center = (int)((($max-$min)/2)+$min);
	imagestring($img,1,$spacing-imagefontwidth(1)*(strlen($center)+1),($height-imagefontheight(1))/2,$center,$text);
	
	// Draw chart data
	$lastpoint = $y-((($graph[0]-$min)/($max-$min))*$y);
	for($i = 1; $i < sizeof($graph); $i++) {
		$point = $y-((($graph[$i]-$min)/($max-$min))*$y);
		imageline($img,$x,$lastpoint+$top,$x+$inc,$point+$top,$line);
		$lastpoint = $point;
		$x += $inc;
	}

	// Draw border
	imagerectangle($img,$spacing,0,$width-1,$height-1,$border);
}
?>
