<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Server Statistics Chart
*****************************************************************/

// Create image
$width = 530; // inner width = 504
$height = 150;
$spacing = 24;
$img = imagecreate($width,$height);

// Set colors
$bg = get_config_color($img,"IMG_SERVERSTATS_BG");
$border = get_config_color($img,"IMG_SERVERSTATS_BORDER");
$vgrid = get_config_color($img,"IMG_SERVERSTATS_VGRID");
$hgrid = get_config_color($img,"IMG_SERVERSTATS_HGRID");
$text = get_config_color($img,"IMG_SERVERSTATS_TEXT");
$line_slots = get_config_color($img,"IMG_SERVERSTATS_SLOTS");
$line_connects = get_config_color($img,"IMG_SERVERSTATS_CONNECTS");

// Get data
$result = db_web_server_stats($GAME,$_GET['show']);

// Draw background
imagefilledrectangle($img,0,0,$width,$height,$bg);

// Dimensions
$area = $height-$spacing;
$top = 1;
$bottom = 1;
$x = $spacing+1;
$y = $height-($top+$bottom);
$length = ($width-$spacing)/7;
$max = 0;
$best = 0;

$days = array(
	L_SUNDAY=>0,L_MONDAY=>0,L_TUESDAY=>0,
	L_WEDNESDAY=>0,L_THURSDAY=>0,L_FRIDAY=>0,L_SATURDAY=>0
);

// Draw image
if (!is_null($result)) {
	$graph = array();

	while ($row = mysql_fetch_array($result)) {
		// Only grab 20 minute intervals
		$hour = (int)substr($row['server_date'],3);
		if ($row['server_'.$_GET['chart']] > $best) $best = $row['server_'.$_GET['chart']];
		if (!($hour%20)) {
			$graph[] = $best;
			$best = 0;
		}
		if ($row['server_'.$_GET['chart']] > $max) $max = $row['server_'.$_GET['chart']];
	}

	// Draw chart
	$div = ($max==0)?1:$max;
	$line = ($_GET['chart']=='slots')?$line_slots:$line_connects;
	for($i = 0; $i < sizeof($graph); $i++) {
		$point = $area-(($graph[$i]/$div)*$area);
		imageline($img,$x,$area,$x,$point,$line);
		$x++;
	}
}

// Draw text
imagestring($img,1,$spacing-imagefontwidth(1)*(strlen($max)+1),0,$max,$text);
imagestring($img,1,$spacing-imagefontwidth(1)*2,$area-imagefontheight(1),0,$text);
$center = (int)($max/2);
imagestring($img,1,$spacing-imagefontwidth(1)*(strlen($center)+1),($area-imagefontheight(1))/2,$center,$text);
imagestring($img,1,$spacing-imagefontwidth(1)*(strlen((int)($center/2))+1),($area-imagefontheight(1))*0.75,(int)($center/2),$text);
imagestring($img,1,$spacing-imagefontwidth(1)*(strlen($max-(int)($center/2))+1),($area-imagefontheight(1))*0.25,$max-(int)($center/2),$text);

$x = $spacing;

foreach ($days as $key => $value) {
	$string = strtoupper($key);
	imagestring($img,1,$x+($length/2)-((imagefontwidth(1)*strlen($string))/2),$area+imagefontheight(1),$string,$text);
	$x += $length;
}

// Draw grid lines
imageline($img,$spacing,($height-$spacing)/2,$width,$area/2,$hgrid);
imageline($img,$spacing,($height-$spacing)*0.75,$width,$area*0.75,$hgrid);
imageline($img,$spacing,($height-$spacing)*0.25,$width,$area*0.25,$hgrid);

for ($i = 0; $i < 7; $i++) {
	imageline($img,($i*$length)+$spacing,0,($i*$length)+$spacing,$area,$vgrid);
}

// Draw border
imagerectangle($img,$spacing,0,$width-1,$area,$border);
?>
