<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/*****************************************************************
* Load game support
*****************************************************************/

$GAME_weapons = array();
$GAME_actions = array();
$GAME_teams = array();

if (!is_null($GAME)) {
	$where = '';
	if ($GAME == 'LOAD_ALL') {
		$where = "WHERE config_owner != 'STATS'";
	}
	else {
		$where = "WHERE config_owner = '".addslashes(strtoupper($GAME))."'";
	}
	
	// Load game configs from database
	$result = mysql_query("
		SELECT *
		  FROM ucstats_configs $where
		 ORDER BY config_sort")
		or die("ERROR: Could not load configs. ".mysql_errno().": ". mysql_error());

	while ($row = mysql_fetch_array($result)) {
		if ($row['config_class'] == 'WEAPON') {
			$GAME_weapons[$row['config_name']] = array(
				'name'=>$row['config_desc'],
				'mod'=>$row['config_value']
			);
		}
		else if ($row['config_class'] == 'ACTION') {
			$GAME_actions[$row['config_name']] = array(
				'name'=>constant('L_'.strtoupper($row['config_name'])),
				'mod'=>$row['config_value']
			);
		}
		else if ($row['config_class'] == 'TEAM') {
			$GAME_teams[$row['config_name']] = array(
				'name'=>$row['config_desc'],
				'id'=>$row['config_value']
			);
		}
	}

	// Misc categories
	$GAME_misc = array(
		'online'=>array(
			'name'=>L_MOST_TIME_ONLINE,
			'mod'=>1.0,
			'award'=>true
		),
		'points'=>array(
			'name'=>get_token_string(L_BEST_AVG_POINTS,array(CFG_KILLS_MIN)),
			'mod'=>1.0,
			'award'=>true
		),
		'kills'=>array(
			'name'=>L_MOST_KILLS,
			'mod'=>1.0,
			'award'=>true
		),
		'deaths'=>array(
			'name'=>L_MOST_DEATHS,
			'mod'=>1.0,
			'award'=>true
		),
		'best_kpd'=>array(
			'name'=>get_token_string(L_BEST_KILL_RATIO,array(CFG_KILLS_MIN)),
			'mod'=>1.0,
			'award'=>true
		),
		'worst_kpd'=>array(
			'name'=>get_token_string(L_WORST_KILL_RATIO,array(CFG_KILLS_MIN)),
			'mod'=>1.0,
			'award'=>true
		),
		'best_kpm'=>array(
			'name'=>L_FASTEST_KILLER,
			'mod'=>1.0,
			'award'=>true
		),
		'worst_kpm'=>array(
			'name'=>L_SLOWEST_KILLER,
			'mod'=>1.0,
			'award'=>true
		),
		'survivor'=>array(
			'name'=>get_token_string(L_BEST_SURVIVOR,array(CFG_KILLS_MIN)),
			'mod'=>1.0,
			'award'=>true
		),
		'killstreak'=>array(
			'name'=>L_LONGEST_KILLSTREAK,
			'mod'=>1.0,
			'award'=>true
		),
		'best_shot'=>array(
			'name'=>get_token_string(L_BEST_ACCURACY,array(CFG_KILLS_MIN)),
			'mod'=>1.0,
			'award'=>true
		),
		'worst_shot'=>array(
			'name'=>get_token_string(L_WORST_ACCURACY,array(CFG_KILLS_MIN)),
			'mod'=>1.0,
			'award'=>true
		),
		'best_harm'=>array(
			'name'=>get_token_string(L_MOST_HARMFUL,array(CFG_KILLS_MIN)),
			'mod'=>1.0,
			'award'=>true
		),
		'worst_harm'=>array(
			'name'=>get_token_string(L_LEAST_HARMFUL,array(CFG_KILLS_MIN)),
			'mod'=>1.0,
			'award'=>true		
		),
		'head_shot'=> array(
			'name'=>L_MOST_HEADSHOTS,
			'mod'=>1.0,
			'award'=>true
		)
	);
	
	// Counter-strike configs
	if ($GAME == 'cstrike' || $GAME == 'LOAD_ALL') {	
		// Team actions
		$GAME_team_actions = array(
			'terrorists_win',
			'cts_win',
			'target_saved',
			'target_bombed',
			'vip_escaped',
			'vip_not_escaped',
			'bomb_defused',
			'hostages_not_rescued',
			'all_hostages_rescued'
		);
		
		// World actions
		$GAME_world_actions = array(
			'game_commencing',
			'round_start',
			'round_end',
			'round_draw'
		);
		
		// More award categories
		$GAME_misc['first_kill'] = array(
			'name'=>L_MOST_FIRST_KILLS,
			'mod'=>1.0,
			'award'=>true
		);
		$GAME_misc['planted_the_bomb'] = array(
			'name'=>L_MOST_BOMBS_PLANTED,
			'mod'=>1.0,
			'award'=>true
		);
		$GAME_misc['defused_the_bomb'] = array(
			'name'=>L_MOST_BOMBS_DEFUSED,
			'mod'=>1.0,
			'award'=>true
		);
		$GAME_misc['rescued_a_hostage'] = array(
			'name'=>L_MOST_HOSTAGES,
			'mod'=>1.0,
			'award'=>true
		);
		$GAME_misc['assassinated_the_vip'] = array(
			'name'=>L_MOST_VIPS,
			'mod'=>1.0,
			'award'=>true
		);
	}
	
	// Day of Defeat
	else if ($GAME == 'dod' || $GAME == 'LOAD_ALL') {
		// Team actions
		$GAME_team_actions = array(
			'dod_capture_area'
		);
		
		// More award categories
		$GAME_misc['dod_control_point'] = array(
			'name'=>L_MOST_FLAGS_CAP,
			'mod'=>1.0,
			'award'=>true
		);
		$GAME_misc['dod_capture_area'] = array(
			'name'=>L_MOST_AREAS_CAP,
			'mod'=>1.0,
			'award'=>true
		);
		$GAME_misc['dod_object_goal'] = array(
			'name'=>L_MOST_OBJ_COMP,
			'mod'=>1.0,
			'award'=>true
		);
	}
}
?>
