<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Player Awards
*****************************************************************/

// Set the template
$Doc->setTemplate(TEMPLATE_PATH.'/awards.tpl');

$month = null;
$year = null;

if (isset($_GET['month']) || isset($_GET['year'])) {
	$month = $_GET['month'];
	$year = $_GET['year'];
}

$awards = array(
	'rank'=>array(),
	'weapons'=>array(),
	'misc'=>array(),
	'months'=>array(),
	'years'=>array(),
	'players'=>array()
);

// Get all possible award years
$result = db_web_awards_years($GAME);
if (!is_null($result)) {
	$rows = mysql_num_rows($result);

	if ($rows) {
		while($row = mysql_fetch_array($result)) {
			array_push(
				$awards['years'],
				array('award_select_year'=>$row['award_year'],'award_selected'=>($year==$row['award_year'])?'selected':'')
			);
			if (is_null($year)) $year = $row['award_year'];
		}
	}
}
if (is_null($year)) $year = date("Y");

// Get all possible months for given year
$result = db_web_awards_months($GAME,$year);
if (!is_null($result)) {
	$rows = mysql_num_rows($result);

	if ($rows) {
		$months = array(
			1=>L_JAN,2=>L_FEB,3=>L_MAR,4=>L_APR,5=>L_MAY,6=>L_JUN,
			7=>L_JUL,8=>L_AUG,9=>L_SEP,10=>L_OCT,11=>L_NOV,12=>L_DEC
		);
		foreach ($months as $key=>$value) {
			array_push(
				$awards['months'],
				array('award_select_month'=>$months[$key])
			);				
		}
		while($row = mysql_fetch_array($result)) {
			$awards['months'][$row['award_month']-1]['award_select_month'] = 
			get_hyperlink($months[$row['award_month']],PHP_SELF.'?game='.$GAME.'&q=awards&month='.$row['award_month'].'&year='.$year);
			if (is_null($month)) $month = $row['award_month'];
		}
	}
}
if (is_null($month)) $month = date("n");

// Get total number of awards won for all players
$award_totals = array();
$result = db_web_awards_total($GAME);
if (!is_null($result)) {
	while($row = mysql_fetch_array($result)) {
		$award_totals[$row['UID']] = $row['award_count'];
	}
}

// Get number of awards won per player
$result = db_web_awards_num($GAME,$month,$year);
if (!is_null($result)) {
	$rows = mysql_num_rows($result);

	if ($rows) {
		while($row = mysql_fetch_array($result)) {
			$award_key = $row['UID'];
			$award_total = (isset($award_totals[$award_key]))?$award_totals[$award_key]:0;
			array_push(
				$awards['players'],
				array(
					'award_player'=>get_hyperlink(htmlspecialchars($row['name']),PHP_SELF.'?game='.$GAME.'&q=player&uid='.get_unique_id($row['name'],$row['id'])),
					'award_ID'=>get_hyperlink(htmlspecialchars($row['id']),PHP_SELF.'?game='.$GAME.'&q=search&query='.rawurlencode($row['id']).'&qtype=ID'),
					'award_num'=>$row['num'].' - '.get_award_icon($row['num']),
					'award_total'=>$award_total.' - '.get_award_icon($award_total)
				)
			);
		}
	}
}

// Get awards
$result = db_web_awards($GAME,$month,$year);

if (!is_null($result)) {
	$rows = mysql_num_rows($result);

	if ($rows) {
		while($row = mysql_fetch_array($result)) {
			if (is_numeric($row['award_name'])) {
				$key = 'rank';
			}
			else if (is_valid_weapon($row['award_name'])) {
				$key = 'weapons';
			}
			else if (is_valid_action($row['award_name']) || is_valid_award($row['award_name'])) {
				$key = 'misc';
			}
			if (strlen(strstr($row['award_name'],'best_')) || strlen(strstr($row['award_name'],'worst_')) || $row['award_name'] == 'survivor') {
				$row['award_num'] /= 1000;
			}
			array_push(
				$awards[$key],
				array(
					'award_key'=>$row['award_name'],
					'award_player'=>get_hyperlink(htmlspecialchars($row['name']),PHP_SELF.'?game='.$GAME.'&q=player&uid='.get_unique_id($row['name'],$row['id'])),
					'award_ID'=>get_hyperlink(htmlspecialchars($row['id']),PHP_SELF.'?game='.$GAME.'&q=search&query='.rawurlencode($row['id']).'&qtype=ID'),
					'award_name'=>get_award_name($row['award_name']),
					'award_num'=>get_action_format($row['award_name'],$row['award_num'])
				)
			);
		}
		
		// Stupid fix for rank order
		if (sizeof($awards)) {
			array_push($awards['rank'],$awards['rank'][1]);
			array_splice($awards['rank'],1,1);
		}
		
		$award_month = date('F',mktime(0,0,0,$month,1,$year));
		
		$Doc->setDocumentData('awards_title',get_token_string(L_AWARDS_FOR,array($award_month,$year)));
		$Doc->setDocumentData('award_winners_title',get_token_string(L_AWARDS_WINNERS_FOR,array($award_month,$year)));
		$Doc->setDocumentData('awards_years',$awards['years']);
		$Doc->setDocumentData('awards_months',$awards['months']);
		$Doc->setDocumentData('awards_rank',$awards['rank']);
		$Doc->setDocumentData('awards_weapons',$awards['weapons']);
		$Doc->setDocumentData('awards_misc',$awards['misc']);
		$Doc->setDocumentData('awards_players',$awards['players']);
		$Doc->setDocumentData('awards_total_players',sizeof($awards['players']));
	}
}
// Error handling
else {
	$Doc->setTemplate(TEMPLATE_PATH.'/error.tpl');
	$Doc->setDocumentData('error_title', L_AWARDS);
	$Doc->setDocumentData('error_msg', L_NO_AWARDS_MSG);
}
?>
