<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Player Rankings
*****************************************************************/

// Set the template
$Doc->setTemplate(TEMPLATE_PATH.'/clans.tpl');

// Default sort settings
if (!isset($_GET['sort']) || !isset($_GET['dir'])) {
	$_GET['sort'] = 'score';
	$_GET['dir'] = 'desc';
}

if (!isset($_GET['page'])) $_GET['page'] = 1;

$script = PHP_SELF.'?game='.$GAME.'&q='.$_GET['q'];

$result = db_web_clans($GAME,$_GET['sort'],$_GET['dir']);

$rows = 0;
$max = 0;

if (!is_null($result)) {
	$rows = mysql_num_rows($result);

	// Create sort arrows
	get_sort_arrows(
		$Doc,
		array(
			'clan',
			'members',
			'score',
			'kills',
			'deaths',
			'kpd',
			'kpm',
			'online'
		),
		$_GET['sort'],
		$_GET['dir'],
		$script.'&page='.$_GET['page'],
		''
	);

	// Set max number to display
	$max = CFG_WEB_PLAYERS_MAX;
	if ($_GET['page'] <= 1 || is_null($_GET['page'])) {
		$_GET['page'] = 1;
		$start = 0;
		$limit = $max;
	} else {
		$start = ($_GET['page']*$max)-$max;
		$limit = $start+$max;
	}
	if ($rows < $limit) {
		$limit = $rows;
	}

	// If records exist
	if ($rows && $rows > $start) {
	
		// Move pointer to starting point
		if ($start > 0) {
			mysql_data_seek($result, $start);
		}

		// Get data for players
		$clans = array();
		while($start < $limit) {
			$row = mysql_fetch_array($result);
			array_push(
				$clans,
				array(
					'rank'=>($start+1).'.',
					'clan'=>get_hyperlink(
								htmlspecialchars($row['clan']),
								PHP_SELF.'?game='.$GAME.'&q=search&query='.rawurlencode($row['clan']).'&qtype=clan'
							),
					'members'=>$row['members'],
					'score'=>(int)$row['score'],
					'kills'=>$row['kills'],
					'deaths'=>$row['deaths'],
					'kpd'=>number_format($row['kpd'],2,'.',''),
					'kpm'=>number_format($row['kpm'],2,'.',''),
					'online'=>get_time_online($row['online'])
				)
			);

			// Highlight top player
			if (!$start) {
				foreach($clans[sizeof($clans)-1] as $key => $value) {
					$clans[sizeof($clans)-1][$key] = "<b>$value</b>";
				}
			}
			$start++;
		}
		// Set list of players
		$Doc->setDocumentData('clans',$clans);
	}
}

// Set totals
$Doc->setDocumentData('total',$rows);
if ($rows > 0) $Doc->setDocumentData('showing', get_token_string(L_NOW_SHOWING, array($start+1,$limit)));

// Set page links
$Doc->setDocumentData('page_links',get_page_links($script.'&sort='.$_GET['sort'].'&dir='.$_GET['dir'],$rows,$max,$_GET['page']));
?>
