<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* FAQ
*****************************************************************/

$Doc->setTemplate(TEMPLATE_PATH.'/faq.tpl');

if (CFG_STATS_MODE == 0) {
	$Doc->setDocumentData('mode', L_NAME_ID);
}
else if (CFG_STATS_MODE == 1) {
	$Doc->setDocumentData('mode', L_NAME_ONLY);
}
else if (CFG_STATS_MODE == 2) {
	$Doc->setDocumentData('mode', L_ID_ONLY);
}

$faq_index = array(
	'L_FAQ_TRACK',
	'L_FAQ_CALC',
	'L_FAQ_BEST_POINTS',
	'L_FAQ_HARM',
	'L_FAQ_WEAPON_HIST',
	'L_FAQ_TOP_WEAPON',
	'L_FAQ_CLAN_TAG',
	'L_FAQ_AWARDS',
	'L_FAQ_CLAN_AWARDS',
	'L_FAQ_ICONS',
	'L_FAQ_CACHE'
);

$faqs = array();

foreach ($faq_index as $value) {
	$answer = '';
	if ($value == 'L_FAQ_TRACK') {
		$answer = get_token_string(constant($value.'_A'),array(get_stats_mode(CFG_STATS_MODE)));
	}
	else if ($value == 'L_FAQ_CALC') {
		$answer = get_token_string(constant($value.'_A'),
			array(
				CFG_SCORE_START,
				CFG_SCORE_BASE,
				CFG_SCORE_MAX,
				CFG_SCORE_MIN,
				CFG_DIFFICULTY_MAX,
				CFG_PLAYERS_MIN
			)
		);
	}
	else if ($value == 'L_FAQ_BEST_POINTS') {
		$answer = get_token_string(constant($value.'_A'),array(CFG_SCORE_START,CFG_KILLS_MIN));
	}
	else if ($value == 'L_FAQ_HARM') {
		$answer = get_token_string(constant($value.'_A'),array(CFG_KILLS_MIN));
	}
	else if ($value == 'L_FAQ_AWARDS') {
		$answer = get_token_string(constant($value.'_A'),array((CFG_DB_RESET)?L_FAQ_AWARDS_RESET:""));
	}
	else {
		$answer = constant($value.'_A');
	}
	array_push(
		$faqs,
		array(
			'link'=>$value,
			'question'=>constant($value.'_Q'),
			'answer'=>$answer
		)
	);
}
$Doc->setDocumentData('faqs', $faqs);

global $GAME_weapons;
global $GAME_actions;

$weapons = array();
$actions = array();

foreach ($GAME_weapons as $key => $value) {
	array_push(
		$weapons,
		array(
			'weapon_name'=>$GAME_weapons[$key]['name'],
			'weapon_mod'=>$GAME_weapons[$key]['mod']
		)
	);
}
$Doc->setDocumentData('weapons', $weapons);

foreach ($GAME_actions as $key => $value) {
	array_push(
		$actions,
		array(
			'action_name'=>$GAME_actions[$key]['name'],
			'action_mod'=>$GAME_actions[$key]['mod']
		)
	);
}
$Doc->setDocumentData('actions', $actions);
?>