<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Individual Player
*****************************************************************/

// Set the template
$Doc->setTemplate(TEMPLATE_PATH.'/player.tpl');

// Get player info
$result = db_web_player($_GET['uid']);

if (!is_null($result)) {
	$row = mysql_fetch_array($result);

	$Doc->setDocumentData('player',
	get_hyperlink(htmlspecialchars($row['name']),PHP_SELF.'?game='.$GAME.'&q=search&query='.rawurlencode($row['name']).'&qtype=name'));
	
	$name = $row['name'];
	$id = $row['id'];
	$sort = '';
	$dir = '';
	
	$Doc->setDocumentData('ID',
	get_hyperlink($row['id'],PHP_SELF.'?game='.$GAME.'&q=search&query='.rawurlencode($row['id']).'&qtype=ID'));

	$Doc->setDocumentData('rank',db_get_player_rank($row['score']));
	$Doc->setDocumentData('score',$row['score']);
	$Doc->setDocumentData('kills',$row['kills']);
	$Doc->setDocumentData('deaths',$row['deaths']);
	$Doc->setDocumentData('kpd',(is_null($row['kpd'])?number_format($row['kills'],2,'.',''):number_format($row['kpd'],2,'.','')));
	$Doc->setDocumentData('kpm',(is_null($row['kpm'])?"--":number_format($row['kpm'],2,'.','')));
	$Doc->setDocumentData('online',get_time_online($row['online']));
	$Doc->setDocumentData('lastonline',date('l m/d/y - h:m a',$row['lastonline']));

	// Get player aliases
	if (CFG_STATS_MODE == 2) {
		// Default sort settings
		if (!isset($_GET['sort']) || !isset($_GET['dir']) || $_GET['section'] != 'alias') {
			$sort = 'alias_name';
			$dir = 'desc';
		}
		else {
			$sort = $_GET['sort'];
			$dir = $_GET['dir'];
		}
		
		$result = db_web_player_alias($_GET['uid'],$sort,$dir);
		if (!is_null($result)) {
			$rows = mysql_num_rows($result);
			if ($rows) {
				$alias = array();
				while($row = mysql_fetch_array($result)) {
					array_push(
						$alias,
						array(
							'alias_name'=>get_hyperlink(htmlspecialchars($row['alias_name']),PHP_SELF.'?game='.$GAME.'&q=search&query='.rawurlencode($row['alias_name']).'&qtype=name'),
							'alias_num'=>$row['alias_num'],
							'alias_date'=>date('l m/d/y - h:m a',$row['alias_date'])
						)
					);
				}
				if (sizeof($alias) > 1) {
					// Create sort arrows
					get_sort_arrows(
						$Doc,
						array(
							'alias_name',
							'alias_num',
							'alias_date'
						),
						$sort,
						$dir,
						PHP_SELF.'?game='.$GAME.'&q='.$_GET['q'].'&uid='.$_GET['uid'].'&section=alias',
						'#alias'
					);
					$Doc->setDocumentData('alias',$alias);
				}
			}
		}
	}
	
	// Default sort settings
	if (!isset($_GET['sort']) || !isset($_GET['dir']) || $_GET['section'] != 'weapons') {
		$sort = 'weapon_kills';
		$dir = 'desc';
	}
	else {
		$sort = $_GET['sort'];
		$dir = $_GET['dir'];
	}
	
	if (!isset($_GET['show'])) $_GET['show'] = '';
	
	// Get player weapon history
	$result = db_web_player_weapons($_GET['uid'],$sort,$dir);

	if (!is_null($result)) {
		$rows = mysql_num_rows($result);
		
		if ($rows) {
			// Create sort arrows
			get_sort_arrows(
				$Doc,
				array(
					'weapon_name',
					'weapon_kills',
					'weapon_kills_percent',
					'weapon_deaths',
					'weapon_deaths_percent',
					'weapon_shots',
					'weapon_hits',
					'weapon_accuracy',
					'weapon_kpd',
					'weapon_damage',
					'weapon_headshots',
					'weapon_headshot_percent',
				),
				$sort,
				$dir,
				PHP_SELF.'?game='.$GAME.'&q='.$_GET['q'].'&uid='.$_GET['uid'].'&section=weapons',
				'#weapons'
			);
			
			// Get totals
			$totals = array(
				'weapon_kills'=>0,'weapon_deaths'=>0,'weapon_shots'=>0,'weapon_hits'=>0,'weapon_accuracy'=>0,
				'weapon_kpd'=>0,'weapon_damage'=>0,'weapon_headshots'=>0,'weapon_headshot_percent'=>0
			);
			
			// Get data
			$weapons = array();
			mysql_data_seek($result,0);

			$rank = 1;
			
			$top_weapon = array('name'=>'','kills'=>0,'deaths'=>0);
			
			while($row = mysql_fetch_array($result)) {
				array_push(
					$weapons,
					array(
						'rank'=>$rank.'.',
						'weapon_name'=>get_hyperlink($row['weapon_name'],PHP_SELF.'?game='.$GAME.'&q=weapons#'.$row['weapon_name']),
						'weapon_kills'=>$row['weapon_kills'],
						'weapon_kills_percent'=>(int)($row['weapon_kills_percent']*100),
						'weapon_deaths'=>$row['weapon_deaths'],
						'weapon_deaths_percent'=>(int)($row['weapon_deaths_percent']*100),
						'weapon_shots'=>$row['weapon_shots'],
						'weapon_hits'=>$row['weapon_hits'],
						'weapon_accuracy'=>(int)($row['weapon_accuracy']*100),
						'weapon_kpd'=>(is_null($row['weapon_kpd']))?(number_format($row['weapon_kills'],2,'.','')):(number_format($row['weapon_kpd'],2,'.','')),
						'weapon_damage'=>(int)($row['weapon_damage']),
						'weapon_headshots'=>$row['weapon_headshots'],
						'weapon_headshot_percent'=>(int)($row['weapon_headshot_percent']*100),
					)
				);
				
				$totals['weapon_kills'] += $row['weapon_kills'];
				if (!isset($row['weapon_kills_percent'])) $totals['weapon_kills_percent'] += $row['weapon_kills_percent'];
				$totals['weapon_deaths'] += $row['weapon_deaths'];
				if (!isset($row['weapon_deaths_percent'])) $totals['weapon_deaths_percent'] += $row['weapon_deaths_percent'];
				$totals['weapon_shots'] += $row['weapon_shots'];
				$totals['weapon_hits'] += $row['weapon_hits'];
				$totals['weapon_accuracy'] += (int)($row['weapon_accuracy']*100);
				$totals['weapon_kpd'] += $row['weapon_kpd'];
				$totals['weapon_damage'] += $row['weapon_damage'];
				$totals['weapon_headshots'] += $row['weapon_headshots'];
				$totals['weapon_headshot_percent'] += $row['weapon_headshot_percent'];
				
				$rank++;
				
				if (($row['weapon_kills']-$row['weapon_deaths']) > ($top_weapon['kills']-$top_weapon['deaths'])) {
					$top_weapon['name'] = $row['weapon_name'];
					$top_weapon['kills'] = $row['weapon_kills'];
					$top_weapon['deaths'] = $row['weapon_deaths'];
				}
			}
			
			// Get top weapon
			$Doc->setDocumentData('top_weapon',get_weapon_name($top_weapon['name']));
			$Doc->setDocumentData('top_weapon_img',get_image('images/'.$GAME.'/weapons/'.$top_weapon['name'].'.png','top_weapon',0,0));
			
			$Doc->setDocumentData('weapons',$weapons);

			$Doc->setDocumentData('total_weapon_kills',number_format($totals['weapon_kills'],0,'',','));
			$Doc->setDocumentData('total_weapon_deaths',number_format($totals['weapon_deaths'],0,'',','));
			$Doc->setDocumentData('total_weapon_shots',number_format($totals['weapon_shots'],0,'',','));
			$Doc->setDocumentData('total_weapon_url',get_hyperlink('All Weapons',PHP_SELF.'?game='.$GAME.'&q=player&uid='.$_GET['uid'].'#hits'));
			$Doc->setDocumentData('total_weapon_hits',number_format($totals['weapon_hits'],0,'',','));
			$Doc->setDocumentData('total_weapon_damage',number_format((int)($totals['weapon_damage']),0,'',','));
			$Doc->setDocumentData('total_weapon_headshots',$totals['weapon_headshots']);

			// Prevent division by zero
			if ($totals['weapon_kills'] == 0) $totals['weapon_kills'] = 1;
			if ($totals['weapon_deaths'] == 0) $totals['weapon_deaths'] = 1;

			$Doc->setDocumentData('avg_weapon_damage',number_format((int)($totals['weapon_damage']/$totals['weapon_kills']),0,'',','));
			$Doc->setDocumentData('avg_weapon_accuracy',(int)(($totals['weapon_hits']/$totals['weapon_shots'])*100));
			$Doc->setDocumentData('avg_weapon_kpd',number_format($totals['weapon_kills']/$totals['weapon_deaths'],2,'.',''));
			$Doc->setDocumentData('avg_weapon_headshots',(int)(($totals['weapon_headshots']/$totals['weapon_kills'])*100));
		}
		else {
			$Doc->setDocumentData('total_weapons',0);
		}
	}
	
	// Get player award history
	$result = db_web_player_awards($GAME,$_GET['uid']);

	if (!is_null($result)) {
		$rows = mysql_num_rows($result);

		if ($rows) {
			// Get data
			$awards = array();
			$count = 1;
			while($row = mysql_fetch_array($result)) {
				if (strlen(strstr($row['award_name'],'best_')) || strlen(strstr($row['award_name'],'worst_')) || $row['award_name'] == 'survivor') {
					$row['award_num'] /= 1000;
				}
				array_push(
					$awards,
					array(
						'award_name'=>get_hyperlink(get_award_name($row['award_name']),PHP_SELF.'?game='.$GAME.'&q=awards&month='.$row['award_month'].'&year='.$row['award_year'].'#'.$row['award_name']),
						'award_num'=>get_action_format($row['award_name'],$row['award_num']),
						'award_player'=>get_hyperlink(htmlspecialchars($row['name']),PHP_SELF.'?game='.$GAME.'&q=search&query='.rawurlencode($row['name']).'&qtype=name'),
						'award_date'=>date('F Y',mktime(0,0,0,$row['award_month'],1,$row['award_year']))
					)
				);
				if (!isset($_GET['show'])) $_GET['show'] = '';
				if ($_GET['show'] != 'awards' && $count == CFG_WEB_AWARDS_MAX) {
					break;
				}
				$count++;
			}
			$Doc->setDocumentData('awards',$awards);
			$Doc->setDocumentData('total_awards',$rows);
			$Doc->setDocumentData('award_icons',get_award_icon($rows));

			// Show settings
			if ($_GET['show'] != 'awards' && $rows > CFG_WEB_AWARDS_MAX) {
				$Doc->setDocumentData('show_awards','&raquo; '
				.get_hyperlink('show all',PHP_SELF.'?game='.$GAME.'&q=player&uid='.$_GET['uid'].'&show=awards#awards'));
			}
			else if ($_GET['show'] == 'awards') {
				$Doc->setDocumentData('show_awards','&raquo; '
				.get_hyperlink('show normal',PHP_SELF.'?game='.$GAME.'&q=player&uid='.$_GET['uid'].'#awards'));
			}
		}
	}
	
	// Get player weapon hits
	$result = db_web_player_hits($_GET['uid']);
	if (!is_null($result)) {

		$rows = mysql_num_rows($result);

		if ($rows) {

			$hits = array();
			$total_weapon_hits = 0;
			
			while ($row = mysql_fetch_array($result)) {
				array_push(
					$hits,
					array(
						'weapon'=>$row['weapon_name'],
						'hits_weapon'=>get_hyperlink(get_weapon_name($row['weapon_name']),
						PHP_SELF.'?game='.$GAME.'&q=player&uid='.$_GET['uid'].'&weapon='.$row['weapon_name'].'#hits'),
						'hits_total'=>$row['hits_sum']
					)
				);
				$total_weapon_hits += $row['hits_sum'];
			}
			
			if (!isset($_GET['weapon'])) $_GET['weapon'] = '';
			$Doc->setDocumentData(
				'hits_image',
				get_image(
					'image.php?game='.$GAME.'&q=hits&uid='.$_GET['uid'].'&weapon='.$_GET['weapon'].'&cache='.md5($_GET['uid'].$_GET['weapon'].'hits'),
					'weapon_hits',210,200
				)
			);

			$Doc->setDocumentData('hits',$hits);
			$Doc->setDocumentData('total_weapons_with_hits',$rows);
			$Doc->setDocumentData('total_weapon_hits',$total_weapon_hits);
		}
	}

	// Get player action history
	$result = db_web_player_actions($_GET['uid']);

	if (!is_null($result)) {
		$rows = mysql_num_rows($result);

		if ($rows) {
			$totals = array('actions'=>0,'points'=>0);
		
			$rank = 1;
		
			// Get data
			$actions = array();
			while($row = mysql_fetch_array($result)) {
				$points = $row['action_num']*get_action_mod($row['action_name'])*CFG_SCORE_BASE;
				array_push(
					$actions,
					array(
						'rank'=>$rank.'.',
						'action_name'=>get_action_name($row['action_name']),
						'action_num'=>($row['action_num'] > 1)?($row['action_num'].' times'):($row['action_num'].' time'),
						'action_points'=>get_number_color($points),
					)
				);
				$totals['actions'] += $row['action_num'];
				$totals['points'] += $points;
				$rank++;
			}
			$Doc->setDocumentData('actions',$actions);
			$Doc->setDocumentData('total_actions',($totals['actions'] > 1)?($totals['actions'].' times'):($totals['actions'].' time'));
			$Doc->setDocumentData('total_points',get_number_color($totals['points']));
			$Doc->setDocumentData('avg_points',get_number_color((int)($totals['points']/$rows)));
			$Doc->setDocumentData('action_approx',(CFG_DIFFICULTY)?L_APPROX:'');
		}
	}
	
	// Get player score history
	$result = db_web_player_scores($_GET['uid']);
	
	$score_history = array();
	$totals = array('score'=>0,'gain'=>0,'loss'=>0);
	
	if (!is_null($result)) {
		$row = mysql_fetch_row($result);
		$scores = explode("\n",$row[0]);

		$thisscore = 0;
		$lastscore = 0;
		$total_gains = 0;
		$total_losses = 0;

		foreach($scores as $value) {
			$data = explode('"',$value);
			$change = $data[0]-$lastscore;
			array_push(
				$score_history,
				array(
					'score_num'=>round($data[0]),
					'score_change'=>get_number_color(round($change)),
					'score_event'=>get_score_event($GAME,$data[1],$data[2],$data[3],(isset($data[4]))?$data[4]:null)
				)
			);
			if ($change < CFG_SCORE_MAX) {
				$totals['score'] +=  $change;
				if ($change >= 0) {
					$totals['gain'] += $change;
					$total_gains++;
				}
				else {
					$totals['loss'] += $change;
					$total_losses++;
				}
			}
			$lastscore = $data[0];
		}
		
		if (!$total_gains) $total_gains = 1;
		if (!$total_losses) $total_losses = 1;
		
		if (sizeof($score_history) > 1) {
			// Clear first entry
			$score_history[0]['score_change'] = '--';
	
			if ($_GET['show'] != 'scores' && sizeof($scores) > CFG_WEB_SCORES_MAX) {
				$Doc->setDocumentData('show_score','&raquo; '
				.get_hyperlink('show all',PHP_SELF.'?game='.$GAME.'&q=player&uid='.$_GET['uid'].'&show=scores#scores'));
				$score_history = array_reverse(array_slice(array_reverse($score_history),0,CFG_WEB_SCORES_MAX));
			}
			else if ($_GET['show'] == 'scores') {
				$Doc->setDocumentData('show_score','&nbsp;&nbsp;&raquo; '
				.get_hyperlink('show normal',PHP_SELF.'?game='.$GAME.'&q=player&uid='.$_GET['uid'].'#scores'));
			}
			
			$Doc->setDocumentData('score_history',array_reverse($score_history));
			$Doc->setDocumentData('total_score',sizeof($scores));
			$Doc->setDocumentData('avg_score',get_number_color((int)($totals['score']/sizeof($scores))));
			$Doc->setDocumentData('avg_gain',get_number_color((int)($totals['gain']/$total_gains)));
			$Doc->setDocumentData('avg_loss',get_number_color((int)($totals['loss']/$total_losses)));
			
			$Doc->setDocumentData(
				'score_image',
				get_image(
					'image.php?game='.$GAME.'&q=score&uid='.$_GET['uid'].'&cache='.md5($_GET['uid'].'score'),
					'score_chart',100,240
				)
			);
		}
	}

	// Default sort settings
	if (!isset($_GET['sort']) || !isset($_GET['dir']) || $_GET['section'] != 'maps') {
		$sort = 'kills';
		$dir = 'desc';
	}
	else {
		$sort = $_GET['sort'];
		$dir = $_GET['dir'];
	}
	
	// Get player map history
	$result = db_web_player_stats($_GET['uid'],$sort,$dir);

	if (!is_null($result)) {
		$rows = mysql_num_rows($result);

		if ($rows) {
			// Create sort arrows
			get_sort_arrows(
				$Doc,
				array(
					'map',
					'kills',
					'deaths',
					'kpd',
					'kpm',
					'killstreak',
					'rounds_played',
					'rounds_survived',
					'rounds_percent',
					'playing_time',
					'misc'
				),
				$sort,
				$dir,
				PHP_SELF.'?game='.$GAME.'&q='.$_GET['q'].'&uid='.$_GET['uid'].'&section=maps',
				'#maps'
			);
		
			$totals = array(
				'map_kills'=>0,'map_deaths'=>0,'map_kpd'=>0,'map_kpm'=>0,
				'map_killstreak'=>0,'map_rounds_survived'=>0,'map_rounds_played'=>0,
				'map_rounds_percent'=>0,'map_playing_time'=>0
			);
			$rank = 1;

			// Get data
			$map_history = array();
			while($row = mysql_fetch_array($result,MYSQL_ASSOC)) {
				array_push(
					$map_history,
					array(
						'rank'=>$rank.'.',
						'map_name'=>get_hyperlink(htmlspecialchars($row['map']),PHP_SELF.'?game='.$GAME.'&q=server'),
						'map_kills'=>$row['kills'],
						'map_deaths'=>$row['deaths'],
						'map_kpd'=>$row['kpd'],
						'map_kpm'=>$row['kpm'],
						'map_killstreak'=>$row['killstreak'],
						'map_rounds_played'=>$row['rounds_played'],
						'map_rounds_survived'=>$row['rounds_survived'],
						'map_rounds_percent'=>$row['rounds_percent']*100,
						'map_playing_time'=>get_time_online($row['playing_time'])
					)
				);
				$totals['map_kills'] += $row['kills'];
				$totals['map_deaths'] += $row['deaths'];
				$totals['map_kpd'] += $row['kpd'];
				$totals['map_kpm'] += $row['kpm'];
				$totals['map_killstreak'] += $row['killstreak'];
				$totals['map_rounds_played'] += $row['rounds_played'];
				$totals['map_rounds_survived'] += $row['rounds_survived'];
				$totals['map_rounds_percent'] += $row['rounds_percent']*100;
				$totals['map_playing_time'] += $row['playing_time'];
				$rank++;
			}
			$Doc->setDocumentData('map_history',$map_history);
			$Doc->setDocumentData('total_map_kills',$totals['map_kills']);
			$Doc->setDocumentData('avg_map_kills',(int)($totals['map_kills']/$rows));
			$Doc->setDocumentData('total_map_deaths',$totals['map_deaths']);
			$Doc->setDocumentData('avg_map_deaths',(int)($totals['map_deaths']/$rows));
			$Doc->setDocumentData('total_map_kpd',number_format($totals['map_kpd']/$rows,2,'.',''));
			$Doc->setDocumentData('total_map_kpm',number_format($totals['map_kpm']/$rows,2,'.',''));
			$Doc->setDocumentData('total_map_killstreak',number_format($totals['map_killstreak']/$rows,2,'.',''));
			$Doc->setDocumentData('total_map_rounds_played',$totals['map_rounds_played']);
			$Doc->setDocumentData('total_map_rounds_survived',$totals['map_rounds_survived']);
			$Doc->setDocumentData('total_map_rounds_percent',number_format($totals['map_rounds_survived']/(($totals['map_rounds_played']>0)?$totals['map_rounds_played']:1)*100),2,'.','');
			$Doc->setDocumentData('total_map_playing_time',get_time_online($totals['map_playing_time']));
		}
	}
	
	// Get player kill history
	$history = db_web_player_kills($_GET['uid']);
	
	$kills = array();
	$revenge = array();
	
	if (!is_null($history['result1'])) {
		while ($row = mysql_fetch_array($history['result1'])) {
			if (!$row['kills'] && $row['deaths'] > 0) {
				$revenge[$row['name']."\t".$row['UID']."\t".$row['deaths']] = $row['deaths'];
			}
			else {
				$kills[$row['name']."\t".$row['UID']."\t".$row['kills']."\t".$row['deaths']] = ($row['kills']*100)-$row['deaths'];
			}
		}
	}
	if (!is_null($history['result2'])) {
		while ($row = mysql_fetch_array($history['result2'])) {
			if (!$row['kills'] && $row['deaths'] > 0) {
				$revenge[$row['name']."\t".$row['UID']."\t".$row['deaths']] = $row['deaths'];
			}
			else {
				$kills[$row['name']."\t".$row['UID']."\t".$row['kills']."\t".$row['deaths']] = ($row['kills']*100)-$row['deaths'];
			}
		}
	}

	// Sort arrays
	arsort($kills);
	arsort($revenge);
	
	// Kill list
	if (sizeof($kills) > 0) {
		$kill_history = array();
		$count = 0;
		foreach ($kills as $key => $value) {
			$data = explode("\t",$key);
			array_push(
				$kill_history,
				array(
					'kills_player'=>
					get_hyperlink(htmlspecialchars($data[0]),PHP_SELF.'?game='.$GAME.'&q=player&uid='.$data[1]),
					'kills_num'=>$data[2],
					'kills_deaths'=>$data[3],
					'kills_kpd'=>($data[3] > 0)?(number_format($data[2]/$data[3],2,'.','')):(number_format($data[2],2,'.',''))
				)
			);
			if (!isset($_GET['show'])) $_GET['show'] = '';
			if ($_GET['show'] != 'kills' && $count == CFG_WEB_KILLS_MAX) {
				break;
			}
			$count++;
		}
		
		// Show settings
		if ($_GET['show'] != 'kills' && sizeof($kills) > CFG_WEB_KILLS_MAX) {
			$Doc->setDocumentData('show_killed','&raquo; '
			.get_hyperlink('show all',PHP_SELF.'?game='.$GAME.'&q=player&uid='.$_GET['uid'].'&show=kills#kills'));
		}
		else if ($_GET['show'] == 'kills') {
			$Doc->setDocumentData('show_killed','&raquo; '
			.get_hyperlink('show normal',PHP_SELF.'?game='.$GAME.'&q=player&uid='.$_GET['uid'].'#kills'));
		}
		
		// Set kill history data
		$Doc->setDocumentData('kill_history',$kill_history);
	}

	$Doc->setDocumentData('total_killed',sizeof($kills));
	
	// Revenge list
	if (sizeof($revenge) > 0) {
		$revenge_history = array();
		$count = 0;
		foreach ($revenge as $key => $value) {
			$data = explode("\t",$key);
			array_push(
				$revenge_history,
				array(
					'revenge_player'=>
					get_hyperlink(htmlspecialchars($data[0]),PHP_SELF.'?game='.$GAME.'&q=player&uid='.$data[1]),
					'revenge_kills'=>($data[2] > 1)?($data[2].' times'):($data[2].' time')
				)
			);
			if ($_GET['show'] != 'revenge' && $count == CFG_WEB_REVENGE_MAX) {
				break;
			}
			$count++;
		}
		
		// Show settings
		if ($_GET['show'] != 'revenge' && sizeof($revenge) > CFG_WEB_REVENGE_MAX) {
			$Doc->setDocumentData('show_revenge','&raquo; '
			.get_hyperlink('show all',PHP_SELF.'?game='.$GAME.'&q=player&uid='.$_GET['uid'].'&show=revenge#revenge'));
		}
		else if ($_GET['show'] == 'revenge') {
			$Doc->setDocumentData('show_revenge','&raquo; '
			.get_hyperlink('show normal',PHP_SELF.'?game='.$GAME.'&q=player&uid='.$_GET['uid'].'#revenge'));
		}
		
		// Set revenge list data
		$Doc->setDocumentData('revenge_history',$revenge_history);
	}

	$Doc->setDocumentData('total_revenge',sizeof($revenge));
}
// Error handling
else {
	$Doc->setTemplate(TEMPLATE_PATH.'/error.tpl');
	$Doc->setDocumentData('error_title','Error');
	$Doc->setDocumentData('error_msg','Player not found.');
}
?>
