<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Player Rankings
*****************************************************************/

// Set the template
$Doc->setTemplate(TEMPLATE_PATH.'/players.tpl');

// Default sort settings
if (!isset($_GET['sort']) || !isset($_GET['dir'])) {
	$_GET['sort'] = 'score';
	$_GET['dir'] = 'desc';
}

if (!isset($_GET['query']) || !isset($_GET['qtype'])) {
	$_GET['query'] = '';
	$_GET['qtype'] = '';
}

if (!isset($_GET['page'])) $_GET['page'] = 1;

$result = db_web_players($GAME,$_GET['sort'],$_GET['dir'],rawurldecode($_GET['query']),$_GET['qtype']);

$script = PHP_SELF.'?game='.$GAME.'&q='.$_GET['q'];
if ($_GET['q'] == 'search') {
	$script = PHP_SELF.'?game='.$GAME.'&q='.$_GET['q'].'&query='.rawurlencode($_GET['query']).'&qtype='.$_GET['qtype'];
}

$rows = 0;
$max = 0;

if (!is_null($result)) {
	$rows = mysql_num_rows($result);
	
	if ($_GET['q'] == 'search' && $rows == 1) {
		$row = mysql_fetch_array($result);
		header('Location: '.PHP_SELF.'?game='.$GAME.'&q=player&uid='.$row['UID']);
	}

	// Create sort arrows
	get_sort_arrows(
		$Doc,
		array(
			'name',
			'score',
			'kills',
			'deaths',
			'kpd',
			'kpm',
			'online'
		),
		$_GET['sort'],
		$_GET['dir'],
		$script.'&page='.$_GET['page'],
		''
	);

	// Set max number to display
	$max = CFG_WEB_PLAYERS_MAX;
	if ($_GET['page'] <= 1 || is_null($_GET['page'])) {
		$_GET['page'] = 1;
		$start = 0;
		$limit = $max;
	} else {
		$start = ($_GET['page']*$max)-$max;
		$limit = $start+$max;
	}
	if ($rows < $limit) {
		$limit = $rows;
	}

	// If records exist
	if ($rows && $rows > $start) {
	
		// Move pointer to starting point
		if ($start > 0) {
			mysql_data_seek($result, $start);
		}

		// Get total number of awards won for all players
		$award_totals = array();
		$award_result = db_web_awards_total($GAME);
		if (!is_null($award_result)) {
			while($row = mysql_fetch_array($award_result)) {
				$award_totals[$row['UID']] = $row['award_count'];
			}
		}
		
		// Get data for players
		$players = array();
		$i = $start;
		while($i < $limit) {
			$row = mysql_fetch_array($result);
			$award_key = $row['UID'];
			array_push(
				$players,
				array(
					'rank'=>($i+1).'.',
					'player'=>
						get_hyperlink(
							htmlspecialchars($row['name']),
							PHP_SELF.'?game='.$GAME.'&q=player&uid='.$row['UID']
						),
					'score'=>$row['score'],
					'kills'=>$row['kills'],
					'deaths'=>$row['deaths'],
					'kpd'=>(is_null($row['kpd'])?number_format($row['kills'],2,'.',''):number_format($row['kpd'],2,'.','')),
					'kpm'=>(is_null($row['kpm'])?(number_format($row['kills'],2,'.','')):number_format($row['kpm'],2,'.','')),
					'online'=>get_time_online($row['online']),
					'awards'=>get_award_icon((isset($award_totals[$award_key]))?$award_totals[$award_key]:0)
				)
			);

			// Highlight top player
			if ($i == 0) {
				foreach($players[sizeof($players)-1] as $key => $value) {
					$players[sizeof($players)-1][$key] = "<b>$value</b>";
				}
			}
			$i++;
		}
		// Set list of players
		$Doc->setDocumentData('players',$players);
	}
}

// Set search form values
$Doc->setDocumentData('total_label',($_GET['q']=='search')?L_SEARCH_RESULTS:L_TOTAL_PLAYERS);

$Doc->setDocumentData('query',$_GET['query']);

if ($_GET['qtype'] == 'ID') {
	$Doc->setDocumentData('check_ID','checked');
}
else {
	$Doc->setDocumentData('check_name','checked');
}

// Set totals
$Doc->setDocumentData('total',$rows);
if ($rows > 0) $Doc->setDocumentData('showing', get_token_string(L_NOW_SHOWING, array($start+1,$limit)));

// Set page links
$Doc->setDocumentData('page_links',get_page_links($script.'&sort='.$_GET['sort'].'&dir='.$_GET['dir'],$rows,$max,$_GET['page']));
?>
