<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Player Rankings
*****************************************************************/

// Set the template
$Doc->setTemplate(TEMPLATE_PATH.'/ranks.tpl');

// Create a sub document for inner tables
$RankDoc = new Document();
$RankDoc->setTemplate(TEMPLATE_PATH.'/rank_table.tpl');

$count = 0;
$check = 0;
$split = array('left_table'=>'','right_table'=>'');
$limit = CFG_WEB_RANK_MAX;

$top = array();
$ranked = array();
$ranks = array();

// Get array of categories
if ($_GET['q'] == 'weapons') {
	$cat_array = $GAME_weapons;
}
else {
	$cat_array = $GAME_misc;
}

// Get data
foreach ($cat_array as $key => $data) {
	if ($_GET['q'] == 'weapons') {
		$RankDoc->setDocumentData('rank_image',get_image('images/'.$GAME.'/weapons/'.$key.'.png',$key,0,0));
		$RankDoc->setDocumentData('rank_name',get_weapon_name($key));
	}
	else {
		$RankDoc->setDocumentData('rank_name',get_misc_name($key));
	}
	$RankDoc->setDocumentData('rank_id',$key);
	
	$result = db_get_rank($GAME,$key,$limit);

	if (!is_null($result)) $rows = mysql_num_rows($result);
	else $rows = 0;

	// Get data for individual categories
	$start = 0;
	$players = array();
	while($start < $limit) {
		if ($start < $rows) {
			$row = mysql_fetch_array($result);
			array_push(
				$players,
				array(
					'rank'=>($start+1).'.',
					'player'=>
						get_hyperlink(
							htmlspecialchars($row['name']),
							PHP_SELF.'?game='.$GAME.'&q=player&uid='.$row['UID']
						),
					'num'=>($_GET['q'] == 'weapons')?get_action_format($key,$row[$key]):get_action_format($key,$row[$key])
				)
			);
			if (isset($ranked[$row['name']."\t".$row['UID']])) $ranked[$row['name']."\t".$row['UID']] += 1;
			else $ranked[$row['name']."\t".$row['UID']] = 1;
		}
		else {
			array_push(
				$players,
				array(
					'rank'=>($start+1).'.',
					'player'=>'&nbsp;',
					'num'=>'&nbsp;'
				)
			);
		}

		// Highlight top player
		if (!$start && sizeof($ranked)) {
			foreach($players[sizeof($players)-1] as $k => $v) {
				$players[sizeof($players)-1][$k] = "<b>$v</b>";
			}
			if (isset($top[$row['name']."\t".$row['UID']])) $top[$row['name']."\t".$row['UID']] += 1;
			else $top[$row['name']."\t".$row['UID']] = 1;
		}
		$start++;
	}

	// Create sub document
	$RankDoc->setDocumentData('players',$players);
	$RankDoc->createDocument();

	if ($check == 0) {
		$split['left_table'] = $RankDoc->publishToString();
	}
	else if ($check == 1) {
		$split['right_table'] = $RankDoc->publishToString();
	}
	
	// Clear sub document
	$RankDoc->clearDocument();

	// Add sub document to main document
	$check++;
	$count++;

	if ($check == 2 || $count == sizeof($cat_array)) {
		array_push($ranks,$split);
		$split = array('left_table'=>'','right_table'=>'');
		$check = 0;
	}
}

// Get best ranked players
arsort($ranked);
$data = explode("\t",key($ranked));
$data_num = current($ranked);
$ranked_num = (!strlen($data_num))?0:$data_num;
$ranked_name = L_NOBODY;
if ($data_num > 0) {
	$ranked_name = get_hyperlink(htmlspecialchars($data[0]),PHP_SELF.'?game='.$GAME.'&q=player&uid='.$data[1]);
}

arsort($top);
$data = explode("\t",key($top));
$data_num = current($top);
$top_num = (!strlen($data_num))?0:$data_num;
$top_name = L_NOBODY;
if ($data_num > 0 && sizeof($top) > 0) {
	$top_name = get_hyperlink(htmlspecialchars($data[0]),PHP_SELF.'?game='.$GAME.'&q=player&uid='.$data[1]);
}

$cat_num = sizeof($cat_array);
$Doc->setDocumentData('ranks',$ranks);

$Doc->setDocumentData('most_no1', get_token_string(L_MOST_NO1, array($top_name,$top_num,$cat_num)));
$Doc->setDocumentData('most_cat', get_token_string(L_MOST_CAT, array(CFG_WEB_RANK_MAX,$ranked_name,$ranked_num,$cat_num)));
?>