<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Server Statistics
*****************************************************************/

// Set the template
$Doc->setTemplate(TEMPLATE_PATH.'/server.tpl');

// Get list of servers
$result = db_web_servers($GAME);

$servers = array();

$sid = 0;

if (!is_null($result)) {

	$server_name = null;
	$server_address = null;

	$rows = mysql_num_rows($result);

	if ($rows) {
		$Doc->setDocumentData('multiple_servers',true);
		$server_num = $rows;
	}
	
	if (!isset($_GET['show'])) $_GET['show'] = 'all';
	$Doc->setDocumentData('url_show',$_GET['show']);

	array_push(
		$servers,
		array(
			'SID'=>'all',
			'server_name'=>'All Servers',
			'server_selected'=>($_GET['show']==0)?'selected':''
		)
	);
	
	while($row = mysql_fetch_array($result)) {
		if ($row['ss_enabled'] == '1' && $row['GAME'] == $GAME) {
			$selected = ($row['SID']==$_GET['show'])?true:false;
			array_push(
				$servers,
				array(
					'SID'=>$row['SID'],
					'server_name'=>$row['server_name'],
					'server_selected'=>($selected)?'selected':''
				)
			);
			if ($selected && $rows) {
				$sid = $row['SID'];
				$server_name = $row['server_name'];
				$server_address = $row['server_address'];
				$Doc->setDocumentData('server_select',"for $server_name");
			}
		}
	}
	$Doc->setDocumentData('servers',$servers);
}

if (sizeof($servers) > 1) {

	if (!isset($_GET['section'])) $_GET['section'] = 'maps';

	$sort = '';
	$dir = '';
	
	// Default sort settings
	if (!isset($_GET['sort']) || !isset($_GET['dir']) || $_GET['section'] != 'maps') {
		$sort = 'map_kills';
		$dir = 'desc';
	}
	else {
		$sort = $_GET['sort'];
		$dir = $_GET['dir'];
	}
	
	// Chart options
	if (!isset($_GET['chart'])) $_GET['chart'] = 'slots';
	$Doc->setDocumentData('chart_'.$_GET['chart'],'checked');
	
	// Get server stats image
	$Doc->setDocumentData(
		'server_image',
		get_image(
			'image.php?&game='.$GAME.'&q=server&show='.$_GET['show'].'&chart='.$_GET['chart'].'&cache='.md5($_GET['show'].$_GET['chart']),
			'server_stats',150,530
		)
	);

	$Doc->setDocumentData('server_url',PHP_SELF.'?game='.$GAME.'&q='.$_GET['q'].'&chart='.$_GET['chart']);
	
	// Get server stats
	$result = db_web_server_stats($GAME,$_GET['show']);
	
	if (!is_null($result)) {
		$stats = array(
			array('stats_day'=>'Sunday','stats_slots'=>0,'stats_connects'=>0,'stats_max_slots'=>0),
			array('stats_day'=>'Monday','stats_slots'=>0,'stats_connects'=>0,'stats_max_slots'=>0),
			array('stats_day'=>'Tuesday','stats_slots'=>0,'stats_connects'=>0,'stats_max_slots'=>0),
			array('stats_day'=>'Wednesday','stats_slots'=>0,'stats_connects'=>0,'stats_max_slots'=>0),
			array('stats_day'=>'Thursday','stats_slots'=>0,'stats_connects'=>0,'stats_max_slots'=>0),
			array('stats_day'=>'Friday','stats_slots'=>0,'stats_connects'=>0,'stats_max_slots'=>0),
			array('stats_day'=>'Saturday','stats_slots'=>0,'stats_connects'=>0,'stats_max_slots'=>0)
		);
		$stats_maps = array();
		while ($row = mysql_fetch_array($result)) {
			$day = $row['server_date']{0}-1;
			$stats[$day]['stats_slots'] += $row['server_slots'];
			$stats[$day]['stats_connects'] += $row['server_connects'];
			if ($stats[$day]['stats_max_slots'] < $row['server_slots']) $stats[$day]['stats_max_slots'] = $row['server_slots'];
		}
		for ($i = 0; $i < 7; $i++) {
			$stats[$i]['stats_rank'] = $i+1;
			$stats[$i]['stats_avg_slots'] = number_format($stats[$i]['stats_slots']/288,2,'.','');
		}
		$Doc->setDocumentData('stats',$stats);
	}
	
	// Get map stats
	$result = db_web_map_stats($GAME,$_GET['show'],$sort,$dir);

	if (!is_null($result)) {
		$rows = mysql_num_rows($result);

		if ($rows) {
			// Create sort arrows
			get_sort_arrows(
				$Doc,
				array(
					'map_name',
					'map_kills',
					'map_actions',
					'map_rounds',
					'map_wins_team1',
					'map_percent_team1',
					'map_wins_team2',
					'map_percent_team2',
					'map_connects',
					'map_time'
				),
				$sort,
				$dir,
				PHP_SELF.'?game='.$GAME.'&q=server&section=maps',
				'#maps'
			);
			
			$rank = 1;
			
			$totals = array(
				'map_kills'=>0,'map_actions'=>0,'map_rounds'=>0,'map_wins_team1'=>0,'map_percent_team1'=>0,
				'map_wins_team2'=>0,'map_percent_team2'=>0,'map_connects'=>0,'map_time'=>0
			);
			
			// Get data
			$maps = array();
			while($row = mysql_fetch_array($result)) {
				array_push(
					$maps,
					array(
						'rank'=>$rank.'.',
						'map_name'=>$row['map_name'],
						'map_kills'=>number_format($row['map_kills'],0,'',','),
						'map_actions'=>number_format($row['map_actions'],0,'',','),
						'map_rounds'=>number_format($row['map_rounds'],0,'',','),
						'map_wins_team1'=>number_format($row['map_wins_team1'],0,'',','),
						'map_wins_team2'=>number_format($row['map_wins_team2'],0,'',','),
						'map_percent_team1'=>(int)($row['map_percent_team1']*100),
						'map_percent_team2'=>(int)($row['map_percent_team2']*100),
						'map_connects'=>number_format($row['map_connects'],0,'',','),
						'map_time'=>get_time_online($row['map_time']),
						'map_percent'=>(int)($row['map_percent']*100)
					)
				);
				$totals['map_kills'] += $row['map_kills'];
				$totals['map_actions'] += $row['map_actions'];
				$totals['map_rounds'] += $row['map_rounds'];
				$totals['map_wins_team1'] += $row['map_wins_team1'];
				$totals['map_wins_team2'] += $row['map_wins_team2'];
				$totals['map_percent_team1'] += (int)($row['map_percent_team1']*100);
				$totals['map_percent_team2'] += (int)($row['map_percent_team2']*100);
				$totals['map_connects'] += $row['map_connects'];
				$totals['map_time'] += $row['map_time'];
				$rank++;
			}
		}
		if ($rows < 1) $rows = 1;
		
		$Doc->setDocumentData('maps',$maps);
		
		$Doc->setDocumentData('total_map_kills',number_format($totals['map_kills']),0,'',',');
		$Doc->setDocumentData('total_map_actions',number_format($totals['map_actions']),0,'',',');
		$Doc->setDocumentData('total_map_rounds',number_format($totals['map_rounds']),0,'',',');
		$Doc->setDocumentData('total_map_wins_team1',number_format($totals['map_wins_team1']),0,'',',');
		$Doc->setDocumentData('total_map_wins_team2',number_format($totals['map_wins_team2']),0,'',',');
		$Doc->setDocumentData('total_map_connects',number_format($totals['map_connects']),0,'',',');
		$Doc->setDocumentData('total_map_time',get_time_online($totals['map_time']));
	
		$Doc->setDocumentData('avg_map_percent_team1',(int)($totals['map_percent_team1']/$rows));
		$Doc->setDocumentData('avg_map_percent_team2',(int)($totals['map_percent_team2']/$rows));
	}

	// Default sort settings
	if (!isset($_GET['sort']) || !isset($_GET['dir']) || $_GET['section'] != 'weapons') {
		$sort = 'sum_usage';
		$dir = 'desc';
	}
	else {
		$sort = $_GET['sort'];
		$dir = $_GET['dir'];
	}

	// Get weapon stats
	$result = db_web_weapon_stats($GAME,$sort,$dir);

	if (!is_null($result)) {
		$rows = mysql_num_rows($result);
	
		if ($rows) {
			
			// Create sort arrows
			get_sort_arrows(
				$Doc,
				array(
					'weapon_name',
					'sum_usage',
					'sum_kills',
					'sum_deaths',
					'sum_shots',
					'sum_hits',
					'sum_accuracy',
					'sum_damage',
					'avg_damage',
					'sum_headshots'
				),
				$sort,
				$dir,
				PHP_SELF.'?game='.$GAME.'&q=server&section=weapons',
				'#weapons'
			);
			
			$rank = 1;
			
			$totals = array(
				'sum_kills'=>0,'sum_deaths'=>0,'sum_shots'=>0,
				'sum_hits'=>0,'sum_accuracy'=>0,'sum_damage'=>0,
				'avg_damage'=>0,'sum_headshots'=>0
			);
			
			// Get data
			$weapons = array();
			while($row = mysql_fetch_array($result)) {
				array_push(
					$weapons,
					array(
						'rank'=>$rank.'.',
						'weapon_name'=>get_hyperlink($row['weapon_name'],PHP_SELF.'?game='.$GAME.'&q=weapons#'.$row['weapon_name']),
						'sum_usage'=>(int)($row['sum_usage']*100),
						'sum_kills'=>number_format($row['sum_kills'],0,'',','),
						'sum_deaths'=>number_format($row['sum_deaths'],0,'',','),
						'sum_shots'=>number_format($row['sum_shots'],0,'',','),
						'sum_hits'=>number_format($row['sum_hits'],0,'',','),
						'sum_accuracy'=>(int)($row['sum_accuracy']*100),
						'sum_damage'=>number_format($row['sum_damage'],0,'',','),
						'avg_damage'=>(int)($row['avg_damage']),
						'sum_headshots'=>number_format($row['sum_headshots'],0,'',',')
					)
				);
				$totals['sum_kills'] += $row['sum_kills'];
				$totals['sum_deaths'] += $row['sum_deaths'];
				$totals['sum_shots'] += $row['sum_shots'];
				$totals['sum_hits'] += $row['sum_hits'];
				$totals['sum_accuracy'] += $row['sum_accuracy'];
				$totals['sum_damage'] += $row['sum_damage'];
				$totals['avg_damage'] += $row['avg_damage'];
				$totals['sum_headshots'] += $row['sum_headshots'];
				
				$rank++;
			}
		}
		if (!$rows) $rows = 1;
		
		$Doc->setDocumentData('weapons',$weapons);
		
		$Doc->setDocumentData('total_sum_kills',number_format($totals['sum_kills']),0,'',',');
		$Doc->setDocumentData('total_sum_deaths',number_format($totals['sum_deaths']),0,'',',');
		$Doc->setDocumentData('total_sum_shots',number_format($totals['sum_shots']),0,'',',');
		$Doc->setDocumentData('total_sum_hits',number_format($totals['sum_hits']),0,'',',');
		$Doc->setDocumentData('total_sum_accuracy',(int)(($totals['sum_accuracy']*100)/$rows));
		$Doc->setDocumentData('total_sum_damage',number_format($totals['sum_damage']),0,'',',');
		$Doc->setDocumentData('total_avg_damage',(int)($totals['avg_damage']/$rows));
		$Doc->setDocumentData('total_sum_headshots',number_format($totals['sum_headshots']),0,'',',');
	}
}
// Error handling
else {
	$Doc->setTemplate(TEMPLATE_PATH.'/error.tpl');
	$Doc->setDocumentData('error_title', L_SERVER_STATS);
	$Doc->setDocumentData('error_msg', L_NO_REG_SERVERS_LF);
}
?>
