<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/*****************************************************************
* Language Defintion
*****************************************************************/

// Titles
define("L_PLAYER_RANKINGS", "Player Rankings");
define("L_WEAPON_RANKINGS", "Weapon Rankings");
define("L_MISC_RANKINGS", "Misc Rankings");
define("L_SERVER_STATS", "Server Stats");
define("L_SERVER_STATISTICS", "Server Statistics");
define("L_AWARDS", "Awards");
define("L_CLAN_RANKINGS", "Clan Rankings");
define("L_MAP_STATISTICS", "Map Statistics");
define("L_WEAPON_STATISTICS", "Weapon Statistics");
define("L_PLAYER_PROFILE", "Player Profile");
define("L_ALIAS_HISTORY", "Alias History");
define("L_AWARD_HISTORY", "Award History");
define("L_WEAPON_HISTORY", "Weapon History");
define("L_ACTION_HISTORY", "Action History");
define("L_MAP_HISTORY", "Map History");
define("L_SCORE_HISTORY", "Score History");
define("L_TOP_WEAPON", "Top Weapon");
define("L_WEAPON_HITS", "Weapon Hits");
define("L_KILL_HISTORY", "Kill History");
define("L_REVENGE_LIST", "Revenge List");
define("L_FAQ_LONG", "Frequently Asked Questions");
define("L_ADMIN_LOGIN", "Admin Login");
define("L_ADMIN_MENU", "Admin Menu");
define("L_PROGRAM_SET", "Program Settings");
define("L_POINT_MOD", "Point Modifiers");
define("L_DATA_MANAGEMENT", "Data Management");
define("L_CHANGE_PASSWORD", "Change Password");
define("L_PROGRAM_SETTINGS", "Program Settings");
define("L_GENERAL_SETTINGS", "General Settings");
define("L_STATS_SETTINGS", "Stats Settings");
define("L_WEB_SETTINGS", "Web Settings");
define("L_LIVE_SUMMARY", "Live Summary");
define("L_LIVE_FEED_SETTINGS", "Live Feed Settings");
define("L_LOG_SETTINGS", "Log Settings");
define("L_DEBUG_SETTINGS", "Debug Settings");
define("L_GAME_SETTINGS", "Game Settings");
define("L_SERVER_REGISTRY", "Server Registry");
define("L_KILLED_PLAYER", "Killed player {0} with ({1})");
define("L_DIED_FROM_PLAYER", "Died from player {0} with ({1})");
define("L_KILLED_TEAMMATE", "Killed teammate {0} with ({1})");
define("L_STARTING_SCORE", "Starting score");
define("L_MOST_WEAPON_KILLS", "Most {0} Kills");
define("L_BEST_PLAYER_AWARDS", "Best Player Awards");
define("L_WEAPON_AWARDS", "Weapon Awards");
define("L_MISC_AWARDS", "Misc Awards");
define("L_AWARDS_THIS_MONTH", "Awards This Month");
define("L_AWARDS_TOTAL", "Awards Total");
define("L_BEST_PLAYER", "Best Player");
define("L_TOP_TEN_2ND", "Top 10 Player - 2nd place");
define("L_TOP_TEN_3RD", "Top 10 Player - 3rd place");
define("L_TOP_TEN_NTH", "Top 10 Player - {0}th place");
define("L_MOST_TIME_ONLINE", "Most Time Online");
define("L_BEST_AVG_POINTS", "Best Average Points (over {0} kills)");
define("L_MOST_KILLS", "Most Kills");
define("L_MOST_DEATHS", "Most Deaths");
define("L_BEST_KILL_RATIO", "Best Kill Ratio (over {0} kills)");
define("L_WORST_KILL_RATIO", "Worst Kill Ratio (over {0} kills)");
define("L_FASTEST_KILLER", "Fastest Killer (per minute)");
define("L_SLOWEST_KILLER", "Slowest Killer (per minute)");
define("L_BEST_SURVIVOR", "Best Survivor (over {0} kills)");
define("L_LONGEST_KILLSTREAK", "Longest Killstreak");
define("L_BEST_ACCURACY", "Best Accuracy (over {0} kills)");
define("L_WORST_ACCURACY", "Worst Accuracy (over {0} kills)");
define("L_MOST_HARMFUL", "Most Harmful (over {0} kills)");
define("L_LEAST_HARMFUL", "Least Harmful (over {0} kills)");
define("L_MOST_HEADSHOTS", "Most Headshots");
define("L_MOST_FIRST_KILLS", "Most First Kills");
define("L_MOST_BOMBS_PLANTED", "Most Bombs Planted");
define("L_MOST_BOMBS_DEFUSED", "Most Bombs Defused");
define("L_MOST_HOSTAGES", "Most Hostages Rescued");
define("L_MOST_VIPS", "Most VIPs Assasinated");
define("L_MOST_FLAGS_CAP", "Most Flags Captured");
define("L_MOST_AREAS_CAP", "Most Areas Captured");
define("L_MOST_OBJ_COMP", "Most Objectives Completed");

// Labels
define("L_ERROR", "Error");
define("L_ABORT", "Abort");
define("L_DEFAULT", "default");
define("L_EVENTS", "Events");
define("L_STATUS", "Status");
define("L_SETTINGS", "Settings");
define("L_PING", "Ping");
define("L_CONFIGURATION", "Configuration");
define("L_TOOLS", "Tools");
define("L_LOGOUT", "Logout");
define("L_OVERVIEW", "Overview");
define("L_POWERED_BY", "Powered by <b><a href=\"http://www.ucgamers.org/stats.php\">UCStats</a></b> version {exec:PROGRAM_VERSION}");
define("L_COPYRIGHT", "Copyright &copy; {exec:date(\"Y\")} Mike Cao");
define("L_TOTALS", "Totals");
define("L_AVERAGES", "averages");
define("L_RANK", "Rank");
define("L_PLAYER", "Player");
define("L_PLAYERS", "Players");
define("L_SCORE", "Score");
define("L_KILLS", "Kills");
define("L_DEATHS", "Deaths");
define("L_KPD", "KPD");
define("L_KPM", "KPM");
define("L_ONLINE", "Online");
define("L_NAME", "Name");
define("L_ID", "ID");
define("L_ALIAS", "Alias");
define("L_NOBODY", "nobody");
define("L_FIND_PLAYER", "Find player");
define("L_TOTAL_PLAYERS", "Total Players");
define("L_TOTAL_WEAPONS", "Total Weapons");
define("L_NOW_SHOWING", "(Now showing {0}-{1})");
define("L_FAQ", "FAQ");
define("L_ADMIN", "Admin");
define("L_ACTIVITY_CHART", "Activity Chart");
define("L_SCORE_CHART", "Score Chart");
define("L_DAY", "Day");
define("L_AVG_PLAYERS", "Average Players");
define("L_MAX_PLAYERS", "Max Players");
define("L_CONNECTS", "Connects");
define("L_CONNECTIONS", "Connections");
define("L_MAP", "Map");
define("L_ACTION", "Action");
define("L_ACTIONS", "Actions");
define("L_ROUNDS", "Rounds");
define("L_WINS", "Wins");
define("L_TIME", "Time");
define("L_WEAPON", "Weapon");
define("L_USAGE", "Usage");
define("L_SHOTS", "Shots");
define("L_HITS", "Hits");
define("L_ACCURACY", "Accuracy");
define("L_DAMAGE", "Damage");
define("L_AVG_DAMAGE", "Avg. Damage");
define("L_HEADSHOTS", "Headshots");
define("L_SELECT_SERVER", "Select Server");
define("L_SELECT_GAME", "Select Game");
define("L_SELECT_MONTH", "Select Month");
define("L_SELECT_YEAR", "Select Year");
define("L_TOTAL_CLANS", "Total Clans");
define("L_CLAN", "Clan");
define("L_MEMBERS", "Members");
define("L_PAGES", "Pages");
define("L_LAST_ONLINE", "Last Online");
define("L_NAME_USED", "Name Used");
define("L_DATE", "Date");
define("L_KILLSTREAK", "Killstreak");
define("L_ROUNDS_PLAYED", "Rounds<br>Played");
define("L_ROUNDS_SURVIVED", "Rounds<br>Survived");
define("L_PLAYING_TIME", "Playing Time");
define("L_CHANGE", "Change");
define("L_EVENT", "Event");
define("L_AVG_SCORE", "Average Score");
define("L_AVG_GAIN", "Average Gain");
define("L_AVG_LOSS", "Average Loss");
define("L_TOTAL_SCORES", "Total Scores");
define("L_TOTAL_AWARDS", "Total Awards");
define("L_PERFORMED", "Performed");
define("L_POINTS", "Points");
define("L_TIMES", "times");
define("L_HITS_CHART", "Hits Chart");
define("L_SHOW_ALL", "show all");
define("L_KILLED_YOU", "Killed You");
define("L_ALL_WEAPONS", "All Weapons");
define("L_TOTAL_HITS", "Total Hits");
define("L_APPROX", "Approx.");
define("L_LOGIN", "Login");
define("L_PASSWORD", "Password");
define("L_SERVER", "Server");
define("L_SERVER_NAME", "Server name");
define("L_IP_PORT", "IP Address:Port");
define("L_SERVER_ADDRESS", "Server address");
define("L_PS_ENABLED", "Player stats enabled");
define("L_SS_ENABLED", "Server stats enabled");
define("L_LF_ENABLED", "Live feed enabled");
define("L_GAME", "Game");
define("L_YES", "Yes");
define("L_NO", "No");
define("L_NUM", "No.");
define("L_ADDRESS", "Address");
define("L_NAME_ID", "Name + ID");
define("L_NAME_ONLY", "Name only");
define("L_ID_ONLY", "ID only");
define("L_LIVE_FEED", "Live Feed");
define("L_PAGE_SET", "Page Set");
define("L_CURRENT_PLAYERS", "Current Players");
define("L_CURRENT_PASSWORD", "Current Password");
define("L_NEW_PASSWORD", "New Password");
define("L_CONFIRM_PASSWORD", "Confirm New Password");
define("L_QUERIES", "Queries");
define("L_AWARDS_FOR", "Awards for {0} {1}");
define("L_AWARDS_WINNERS_FOR", "Award Winners for {0} {1}");
define("L_AWARD", "Award");
define("L_DATABASE", "Database");
define("L_TABLES", "Tables");
define("L_RECORDS", "Records");
define("L_TOTAL", "Total");
define("L_SEARCH_RESULTS", "Search Results");
define("L_USED_NUM", "Times used");
define("L_USED_LAST", "Last used");
define("L_MAPCYCLE", "Mapcycle");
define("L_CURRENT_MAP", "Current Map");
define("L_JAN", "Jan");
define("L_FEB", "Feb");
define("L_MAR", "Mar");
define("L_APR", "Apr");
define("L_MAY", "May");
define("L_JUN", "Jun");
define("L_JUL", "Jul");
define("L_AUG", "Aug");
define("L_SEP", "Sep");
define("L_OCT", "Oct");
define("L_NOV", "Nov");
define("L_DEC", "Dec");
define("L_SUNDAY", "Sunday");
define("L_MONDAY", "Monday");
define("L_TUESDAY", "Tuesday");
define("L_WEDNESDAY", "Wednesday");
define("L_THURSDAY", "Thursday");
define("L_FRIDAY", "Friday");
define("L_SATURDAY", "Saturday");

// Actions
define("L_GRENADE_SUICIDE", "Committed suicide with a grenade");
define("L_WORLD_SUICIDE", "Committed suicide");
define("L_HEAD_SHOT", "Head shot");
define("L_SPAWNED_WITH_THE_BOMB", "Spawned with the bomb");
define("L_PLANTED_THE_BOMB", "Planted the bomb");
define("L_DEFUSED_THE_BOMB", "Defused the bomb");
define("L_BEGIN_BOMB_DEFUSE_WITH_KIT", "Defusing bomb with a kit");
define("L_BEGIN_BOMB_DEFUSE_WITHOUT_KIT", "Defusing bomb without a kit");
define("L_DROPPED_THE_BOMB", "Dropped the bomb");
define("L_GOT_THE_BOMB", "Got the bomb");
define("L_TOUCHED_A_HOSTAGE", "Found a hostage");
define("L_RESCUED_A_HOSTAGE", "Rescued a hostage");
define("L_BECAME_VIP", "Spawned as the VIP");
define("L_ASSASSINATED_THE_VIP", "Assassinated the VIP");
define("L_ESCAPED_AS_VIP", "Escaped as the VIP");
define("L_BOMB_EXPLODED", "Planted bomb exploded");
define("L_FIRST_KILL", "First kill of the round");
define("L_DOD_CONTROL_POINT", "Captured a flag");
define("L_DOD_CAPTURE_AREA", "Captured an area");
define("L_DOD_OBJECT", "Picked up an object");
define("L_DOD_OBJECT_GOAL", "Completed an objective");

// Forms
define("L_EDIT", "Edit");
define("L_RESET", "Reset");
define("L_REMOVE", "Remove");
define("L_MOVE_UP", "Move up");
define("L_MOVE_DOWN", "Move down");
define("L_ADD_UPDATE", "Add/Update");
define("L_SEARCH", "Search");
define("L_ALL_SERVERS", "All Servers");
define("L_RESET_DEFAULT", "Reset to Defaults");
define("L_SAVE_CONFIG", "Save Config");
define("L_CLEAN_DB", "Clean Database");
define("L_RESET_DB", "Reset Database");
define("L_CLEAR_DB", "Clear Database");
define("L_DELETE_PLAYER", "Delete Player");
define("L_CLEAR_WEB_CACHE", "Clear Web Cache");
define("L_GIVE", "Give");
define("L_DELETE", "Delete");
define("L_SUBMIT", "Submit");

// Messages
define("L_DONE", "Done");
define("L_MINUTES_REMAIN", "minutes remaining");
define("L_LAST_UPDATED", "Last Updated");
define("L_CONFIG_UPDATE", "Configuration updated.");
define("L_RECORDS_AFF", "records(s) affected.");
define("L_MOST_NO1", "The player with the most number 1 positions is {0} with <b>{1}</b> of <b>{2}</b> categories.");
define("L_MOST_CAT", "The player with the most top {0} positions is {1} with <b>{2}</b> of <b>{3}</b> categories.");
define("L_WEAPON_STATS_MSG", "* Weapon statistics are from all servers.");
define("L_INVALID_ADDRESS", "You entered an invalid address.");
define("L_SERVER_IN_USE_MSG", "You cannot add a new server with a duplicate server address.\\nUse the edit action if you want to change an existing server's settings.");
define("L_REMOVE_SERVER_MSG", "Are you sure you want to remove this server?");
define("L_CONFIRM_ACTION_MSG", "Are you sure you want to perform this action?");
define("L_GAME_RESET_MSG", "This will reset all of the game values to their default. Are you sure you want to do this?");
define("L_GAME_FIELD_MSG", "Game field cannot be blank.");
define("L_BAD_PASSWORD", "Incorrect username and/or password");
define("L_RESET_CONFIG_MSG", "This will reset all of the config values to their default. Are you sure you want to do this?");
define("L_BASE_MOD", "The base points for all modifiers is <b>{exec:CFG_SCORE_POINTS}</b>");
define("L_PAGE_CREATED", "Page created in {0} seconds.");
define("L_PAGE_CACHED", "Page cached on {0}.");
define("L_LOADING_SERVERS", "Loading registered servers...");
define("L_LOADING_GAME", "Loading game support...");
define("L_ERR_LOAD_SERVERS", "Error: Could not load registered servers.");
define("L_ERR_NO_SERVERS", "Error: There are no registered servers.");
define("L_FOUND_SERVERS", "Found {0} server(s).");
define("L_SOCKET_CREATE", "Creating UDP socket...");
define("L_ERR_SOCKET_CREATE", "Error: Could not create socket.");
define("L_SOCKET_BIND", "Binding socket to {0} on port {1}...");
define("L_ERR_SOCKET_BIND", "Error: Could not bind socket to {0}:{1}");
define("L_SOCKET_READY", "Socket open and ready to receive.");
define("L_SOCKET_CLOSE", "Socket closed.");
define("L_ERR_SOCKET_RECV", "Error: Could not receive from socket.");
define("L_INIT_LOGD", "Initializing log daemon...");
define("L_DONE_LOGD", "Log daemon started. Process id {0}.");
define("L_ERR_LOGD", "Error: Log daemon failed to load.");
define("L_SERVER_NOT_REG", "DROP: {0} is not registered.");
define("L_SCOKET_CLOSE", "Closing socket... ");
define("L_ERR_INVALID_ADDR", "Error: Invalid ip and/or port.");
define("L_ERR_INVALID_OPTION", "Error: Invalid option: -{0}");
define("L_ERR_INTERVAL_OPTION", "Error: Invalid input for -i option.");
define("L_ERR_INVALID_DIR", "Error: Invalid destination directory.");
define("L_ERR_INVALIDE_FILE_DIR", "Error: Invalid input file or directory.");
define("L_ERR_SERVER_ADDR", "Error: Invalid server address.");
define("L_ERR_NO_FILE_DIR", "Error: No input file or directory specified.");
define("L_ERR_NO_SERVER", "Error: No server specified.");
define("L_ERR_NO_MOVE_DIR", "Error: No move directory specified.");
define("L_ERR_BOTH_OPTIONS", "Error: Cannot select both -d and -m options.");
define("L_ERR_SERVER_REG", "Error: The server {0} is not registered.");
define("L_ARGC_ARGV_MSG", "You must have the 'register_argc_argv' config turned ON in your php.ini.");
define("L_DEBUG_WARNING", "WARNING: Enabling debugging will reduce program performance.");
define("L_SERVER_ADDRESS_MSG", "Server address can be either a domain name with port (domain.com:27015) or an ip address with port (192.168.0.1:27015).");
define("L_PW_ZERO_LEN_MSG", "Password cannot be zero length.");
define("L_PW_MATCH_MSG", "The passwords you entered do not match.");
define("L_CONFIG_UPDATED", "Configuration updated. {0} record(s) affected.");
define("L_DB_CLEAN_MSG", "Database cleaned. {0} record(s) affected.");
define("L_DB_RESET_MSG", "Database reset. {0} record(s) affected.");
define("L_DB_CLEAR_MSG", "Database cleared. {0} record(s) affected.");
define("L_PLAYER_DELETED", "Player {0} deleted. {1} record(s) affected.");
define("L_PLAYER_NOT_FOUND", "Player {0} not found.");
define("L_GIVE_AWARDS_MSG", "Awards given out for {0}, {1}. {2} record(s) affected.");
define("L_DELETE_AWARDS_MSG", "Awards for {0}, {1} deleted. {2} record(s) affected.");
define("L_CLEAR_CACHE_MSG", "Web cache cleared. {0} file(s) removed.");
define("L_BAD_LOGIN", "Incorrect username and/or password.");
define("L_WRONG_PASSWORD", "Wrong password. You have been logged out.");
define("L_LOGOUT_MSG", "You have successfully logged out.");
define("L_PASSWORD_CHANGED", "Password changed successfully.");
define("L_ERR_OPEN_DIR", "Error: Could not open directory {0}.");
define("L_ERR_FILE_INPUT", "Error: Input file {0} does not exist.");
define("L_ERR_MOD_SQL","No game support found. You need to import the SQL files for the games you want to support.");
define("L_ERR_LOAD_CONFIGS", "ERROR: Could not load configs. {0}: {1}");
define("L_NOT_LOGGED_IN", "You are not logged in.");
define("L_SESSION_EXPIRED", "Your session has expired.");
define("L_ERR_TEMPLATE", "ERROR: Template file is empty.");
define("L_ERR_FILE_NOT_FOUND", "ERROR: Could not find file {0}");
define("L_ERR_DB_CONNECT", "ERROR: Could not connect to database ({0}).");
define("L_NO_REG_SERVERS_LF", "There are no servers registered for live feed.");
define("L_NO_REG_SERVERS_SS", "There are no servers registered for server stats.");
define("L_NO_RESPONSE", "Could not get a response from <b>{0}</b><br>at {1}. Make sure the live daemon is running.");
define("L_NO_CONTACT", "Could not contact server <b>{0}</b><br>at {1}.");
define("L_BAD_LF_CONFIG", "Your live feed settings are not configured properly.");
define("L_NO_AWARDS_MSG", "No awards have been given out.");
define("L_STATS_ABUSE_MSG", "Some actions are set to 0 to prevent stats abuse.");
define("L_SCORE_BASE_MSG", "The base points for all modifiers is {0}.");
define("L_CLAN_MSG", "* Clans must have at least <b>2</b> members.<br>* Clan score is an average from all members.");
define("L_LOAD_GAME", "Loading support for {0}...");
define("L_LOG_INCOMPLETE", "Log file is incomplete.");
define("L_LOG_ACTIVE", "Log file is still active.");
define("L_ERR_RENAME", "Error: Could not rename file {0}.");
define("L_ERR_MOVE", "Error: Failed to move file to {0}.");
define("L_PARSED_MSG", "Parsed {0} lines in {1} seconds.");
define("L_FILE_DELETED", "File deleted.");
define("L_FILE_MOVED", "File moved to {0}.");
define("L_LOG_SCAN", "Scanning for logs in {0}...");
define("L_FOUND_TOTAL", "Found {0} file(s).");
define("L_MOD_FILE", "Last modified file is {0}");
define("L_PROCESS_FILE", "Processing file {0} ({1}/{2})... ");
define("L_BATCH_COMPLETE", 	"Batch complete. {0} file(s) processed in {1} seconds.");
define("L_CLEAR_CACHE", "Clearing web cache... ");
define("L_FILES_REMOVED", "{0} file(s) removed.");
define("L_ERR_STATSD_QUIT", "Log daemon process not longer running. Stats daemon quitting.");
define("L_ERR_LOGD_QUIT", "Stats daemon process not longer running. Log daemon quitting.");

// Program settings
if (defined("__ADMIN__")) {

define("L_CFG_LANGUAGE", "Language");
define("L_CFG_CACHE", "Enable web caching");
define("L_CFG_AWARDS", "Enable monthly awards");
define("L_CFG_DB_CLEAN", "Enable database cleanup");
define("L_CFG_DB_RESET", "Enable database reset");
define("L_CFG_STATS_MODE", "Stats mode");
define("L_CFG_BOT_STATS", "Enable bot stats");
define("L_CFG_SCORE_START", "Starting score");
define("L_CFG_SCORE_BASE", "Base points");
define("L_CFG_SCORE_MAX", "Maximum point gain");
define("L_CFG_SCORE_MIN", "Maximum point loss");
define("L_CFG_DIFFICULTY", "Enable difficulty");
define("L_CFG_DIFFICULTY_MAX", "Max difficulty");
define("L_CFG_SCORES_MAX", "Score history records");
define("L_CFG_PLAYERS_MIN", "Minimum players requirement");
define("L_CFG_KILLS_MIN", "Minimum kills requirement");
define("L_CFG_WEB_TEMPLATE", "Style template");
define("L_CFG_WEB_PLAYERS_MAX", "Max players per page");
define("L_CFG_WEB_RANK_MAX", "Max players per category");
define("L_CFG_WEB_KILLS_MAX", "Max kill history records");
define("L_CFG_WEB_REVENGE_MAX", "Max revenge history records");
define("L_CFG_WEB_SCORES_MAX", "Max score history records");
define("L_CFG_WEB_AWARDS_MAX", "Max award hsitory records");
define("L_CFG_LIVE_FEED", "Enable live feed");
define("L_CFG_LF_ADDRESS", "Live feed address");
define("L_CFG_LF_PASSWORD", "Live feed password");
define("L_CFG_LF_DELAY", "Live feed delay");
define("L_CFG_LF_EVENT_MAX", "Maximum live events");
define("L_CFG_USAGE_LOG", "Enable usage logging");
define("L_CFG_ERROR_LOG", "Enable error logging");
define("L_CFG_DEBUG", "Enable debug mode");
define("L_CFG_DEBUG_LOG", "Enable debug logs");

// Descriptions
define("L_CFG_LANGUAGE_DESC", "Language used for program text.");
define("L_CFG_CACHE_DESC", "Enable caching of web pages for improved performance. Recently view web pages are saved under a 'cache' directory and are deleted on a map change.");
define("L_CFG_AWARDS_DESC", "Give out player awards at the end of the month.");
define("L_CFG_DB_CLEAN_DESC", "Clean the database after parsing a log file. Players with 0 kills and deaths or 0 minutes online are deleted.");
define("L_CFG_DB_RESET_DESC", "Reset the database at the end of the month. All data is deleted except for player awards.");
define("L_CFG_STATS_MODE_DESC", "Mode for recording player stats.");
define("L_CFG_BOT_STATS_DESC", "Record stats for bots.");
define("L_CFG_SCORE_START_DESC", "Starting score for new players.");
define("L_CFG_SCORE_BASE_DESC", "Base score change per kill or action.");
define("L_CFG_SCORE_MAX_DESC", "Max points a player can gain.");
define("L_CFG_SCORE_MIN_DESC", "Max points a player can lose.");
define("L_CFG_DIFFICULTY_DESC", "Use difficuly as a factor in calculating score changes. Difficulty is defined by the ratio of team wins. Players get more points for being on the losing team and fewer points for being on the winning team.");
define("L_CFG_DIFFICULTY_MAX_DESC", "Max difficulty ratio.");
define("L_CFG_SCORES_MAX_DESC", "Max score records to keep in the score history. Be careful, keeping too many records willl reduce program performance.");
define("L_CFG_PLAYERS_MIN_DESC", "Minimum number of players on the server for action points to be scored.");
define("L_CFG_KILLS_MIN_DESC", "Minimum number of kills a player must have to be counted in certain misc categories.");
define("L_CFG_WEB_TEMPLATE_DESC", "Template set that defines the look and feel of this program. Templates are located under the 'templates' directory.");
define("L_CFG_WEB_PLAYERS_MAX_DESC", "Maximum number of players to display per page under player rankings.");
define("L_CFG_WEB_RANK_MAX_DESC", "Maximum number of players to display per page under weapons and misc rankings.");
define("L_CFG_WEB_KILLS_MAX_DESC", "Maximum number of kill history records to display before having to expand the selection.");
define("L_CFG_WEB_REVENGE_MAX_DESC", "Maximum number of revenge history records to display before having to expand the selection.");
define("L_CFG_WEB_SCORES_MAX_DESC", "Maximum number of score history records to display before having to expand the selection.");
define("L_CFG_WEB_AWARDS_MAX_DESC", "Maximum number of award history records to display before having to expand the selection.");
define("L_CFG_LIVE_FEED_DESC", "Enable live server feed. You need to have already installed the live feed AMX plugin and run the live feed daemon for this feature to work.");
define("L_CFG_LF_ADDRESS_DESC", "IP address and port for receiving data for the live server feed. When you run the live feed daemon (lived) script, it will open a socket using this address to listen for incoming data. This MUST NOT use the same ip:port address as statsd.php. This should be given in the ip:port format.");
define("L_CFG_LF_PASSWORD_DESC", "Rcon password to the server providing the live feed. All servers participating in the live feed must use the rcon password.");
define("L_CFG_LF_DELAY_DESC", "Delay in seconds between requests for the live feed. If a second request for live stats is made within the delay time, cached data will be retrieved from a file instead of making a request to the game server. This prevents the user from hammering the game server with requests.");
define("L_CFG_LF_EVENT_MAX_DESC", "Maximum number of events to show in the live feed events log. The log is reset on a map change.");
define("L_CFG_USAGE_LOG_DESC", "Record program usage stats to a log file.");
define("L_CFG_ERROR_LOG_DESC", "Record program errors to a log file.");
define("L_CFG_DEBUG_DESC", "Displays all parsing and database events to the screen for debugging. This includes all database queries.");
define("L_CFG_DEBUG_LOG_DESC",
"Records program events to a log file for debugging.
Log files are stored under 'logs' in the program directory.
<br><br>
Modes for debug logging<br>
0 = off<br>
1 = parsing events only<br>
2 = database events only<br>
3 = both parsing and database events (same file)<br>
4 = both parsing and database events (separate files)<br>
");
define("L_CLEAN_DB_DESC", "Delete ALL inactive records (0 kills and deaths or 0 minutes online) in the database. This is also done automatically if the clean database config is turned on.");
define("L_RESET_DB_DESC", "Delete ALL records in the database except for player awards and registered servers and their stats. This is also done automatically at the end of the month if the reset database config is turned on.");
define("L_CLEAR_DB_DESC", "Delete ALL records in the database.");
define("L_DELETE_PLAYER_DESC", "Delete a player record from the database.");
define("L_AWARDS_DESC",	"Give out awards for a selected date using the current data. This will replace all award records for that month. You can also delete awards for a selected date.");
define("L_CLEAR_WEB_CACHE_DESC", "Deletes ALL files in the web cache directory.");
define("L_CFG_GAME_TEMPLATE_DESC", "This style will override the program style template if set.");

} // End program definitions

// FAQ
if (defined("__FAQ__")) {

define("L_FAQ_MOD_Q", "What are the modifier values for weapons and actions?");

define("L_FAQ_TRACK_Q", "How are players tracked?");
define("L_FAQ_TRACK_A",
	"Players are tracked by their {0}."
);

define("L_FAQ_CALC_Q", "How is the player score calculated?");
define("L_FAQ_CALC_A",
	"All players start out with a score of <b>{0}</b>. You can gain points for
	getting kills and performing actions. The base number of points a player gains is <b>{1}</b>,
	but this value can vary depending on different factors. You can gain more points when using a weapon with
	a high modifier and when facing a higher difficulty. The most points you can gain is
	<b>{2}</b> and the most you can lose is <b>{3}</b>.
	<br><br>
	For kills the change in score is calculated using:
	<br><br>
	&nbsp;&nbsp;&nbsp;&nbsp;<span class=\"text-code\">Score Change = (Base Points * [(Opponent Score / Current Score) + Weapon Modifier] / 2) + Difficulty Bonus</span>
	<br><br>
	For actions the change in score is calculated using:<br><br>
	&nbsp;&nbsp;&nbsp;&nbsp;<span class=\"text-code\">Score Change = (Base Points * Action Modifier) + Difficulty Bonus</span>
	<br><br>
	The difficulty is determined by the team win ratio. You can gain more points 
	for being on the losing team than on the winning team. The maximum difficulty ratio is 
	<b>{4}</b>.
	<br><br>
	The difficulty bonus is calculated using:<br><br>
	&nbsp;&nbsp;&nbsp;&nbsp;Difficulty Bonus = Score Change * (Opposing Team Score / Your Team Score)
	<br><br>
	Also there must be a minimum of <b>{5}</b> players on the server for any score changes to be recorded."
);

define("L_FAQ_BEST_POINTS_Q", "How is the best average points category calculated?");
define("L_FAQ_BEST_POINTS_A", 
	"<span class=\"text-code\">Average Points = (Current score - Starting score) / (Total Kills + Total Deaths + Number of Actions)</span>
	<br><br>
	The starting score for all new players is <b>{0}</b>.<br>
	Only players with at least <b>{1}</b> kills are counted."
);

define("L_FAQ_HARM_Q", "How is the most harmful and least harmful categories calculated?");
define("L_FAQ_HARM_A",
	"<span class=\"text-code\">Harm Rating = Total Weapon Damage / Total Weapon Kills</span>
	<br><br>
	Only players with at least <b>{0}</b> kills are counted."
);

define("L_FAQ_WEAPON_HIST_Q", "How are the % values under a player's weapon history calculated?");
define("L_FAQ_WEAPON_HIST_A",
	"The % next to kills and deaths is the percentage relative to total kills and deaths for all weapons. So if the value is 60%
	for a weapon, then 60% of the player's kill came from that weapon. The same goes for deaths.
	<br><br>
	Accuracy is simply the number of hits divided by the number of shots fired.
	<br><br>
	The headshot % is calculated by taking headshots divided by kills for that weapon."
);

define("L_FAQ_TOP_WEAPON_Q", "How is a player's top weapon determined?");
define("L_FAQ_TOP_WEAPON_A",
	"The top weapon is the determined by taking the number of kills minus deaths for every weapon. 
	The weapon with the highest result is the top weapon."
);

define("L_FAQ_CLAN_TAG_Q", "What is a valid clan tag?");
define("L_FAQ_CLAN_TAG_A",
	"Symbol tags <b>[symbol]</b> can be any of the following: ! @ # $ % ^ & * _ + - = ~ ` | () [] {} \ /<br>
	All symbols are limited to <b>3</b> characters.<br>
	Clan names are limited to <b>10</b> characters."
);

define("L_FAQ_AWARDS_Q", "When are player awards given out?");
define("L_FAQ_AWARDS_A",
	"If the awards feature is enabled, player awards are given out at the end of the month. {0}"
);
define("L_FAQ_AWARDS_RESET", "Player stats are also reset after awards are given out.");

define("L_FAQ_CLAN_AWARDS_Q", "Why are there no awards for clans?");
define("L_FAQ_CLAN_AWARDS_A", 
	"Clans are determined by parsing tags from player names. Anyone with valid tag is considered a part of a clan. Since there is no
	way to tell who really belongs in a certain clan, it is easy to sabatage that clan's stats. Therefore clan rankings are for 
	informational purposes only."
);

define("L_FAQ_ICONS_Q", "What do the little award icons represent?");
define("L_FAQ_ICONS_A",
	IMG_AWARDS_20." Player has won 20 awards.<br>".
	IMG_AWARDS_10." Player has won 10 awards.<br>".
	IMG_AWARDS_5." Player has won 5 awards.<br>".
	IMG_AWARDS_1." Player has won 1 award."
);

define("L_FAQ_CACHE_Q", "What does web caching do?");
define("L_FAQ_CACHE_A",
	"If the web caching feature is enabled, a cached version of the page is created when it is viewed for the first time. Everyone else 
	visiting the same page will be served the cached version. This greatly improves the performance of page views. If you see \"Page cached\" 
	at the bottom of the page, you are viewing a cached page."
);

} // End faq definitions

// Scripts
if (defined("__SCRIPT__")) {

define("L_SCRIPT_HEADER",
"=============================================================
UCStats version {0}
Copyright (c) {1} Mike Cao
=============================================================

");
define("L_STATSD_MSG", "Opens a UDP socket for collecting stats.");
define("L_STATSD_HELP",
"Usage:     statsd.php [OPTIONS] <ip> <port>
Options:   -v          verbose: show incoming content
           -i <num>    parsing interval in seconds
           -w          clear the web cache after parsing
");
define("L_PARSER_MSG", "Parses a log file or directory.");
define("L_PARSER_HELP",
"Usage:     parser.php [OPTIONS] <file|directory> <server:port>
Options:   -d          delete files after parsing
           -m <dir>    move files to a another directory after parsing
           -v          verbose: show log contents being parsed
           -i          parse incomplete files: not recommended
           -u          use log date for end of month check
           -t          timestamp logs after parsing
           -w          clear the web cache after parsing
		   
For <server> enter the ip:port or hostname:port of a registered server.
");
define("L_LOGD_MSG", "Daemon for parsing log data.");
define("L_LOGD_HELP", 
"Usage: logd.php <pid> <interval>
This daemon is called when statsd is run. You do not need to run this manually.
");
define("L_LOGD_EXIT", "Parent {0} process terminated. Exiting.");
} // End script definitions

if (defined("__INSTALL__")) {

define("L_SAVED", "Saved.");
define("L_INSTALL_HEADER",
"INSTALLATION:

This script will configure and install UCStats on your system by 
asking you a series of questions. No changes will be made to your
system until you have answered all the questions.
");
define("L_INSTALL_PATH","
1. Where is the UCStats program located?
   Enter the full path and use forward slashes.
   For example 'C:/UCStats'
"
);


} // End install definitions
?>
