// UCStats definitions
#define MAX_NAME_LENGTH 32
#define MAX_VAR_LENGTH 64
#define MAX_PLAYERS 32
#define MAX_TEXT_LENGTH 512
#define MAX_UDP_LENGTH 1024
#define MAX_CVARS 16
#define MIN_PLAYTIME 60

// Supported mods
#define MOD_CSTRIKE     1
#define MOD_DOD         2

// Stats defintions
#define INDEX_WEAPONS	16
#define INDEX_BODY	8

// Weapon stats indexes
#define INDEX_WEAPON    0
#define INDEX_KILLS     1
#define INDEX_DEATHS    2
#define INDEX_HS        3
#define INDEX_TK        4
#define INDEX_SHOTS     5
#define INDEX_HITS      6
#define INDEX_DMG       7

// Hit stats indexes
#define INDEX_GENERIC   0
#define INDEX_HEAD      1
#define INDEX_CHEST     2
#define INDEX_STOMACH   3
#define INDEX_LEFTARM   4
#define INDEX_RIGHTARM  5
#define INDEX_LEFTLEG   6
#define INDEX_RIGHTLEG  7

// Player stats indexes
#define PLAYER_KILLS            0
#define PLAYER_DEATHS           1
#define PLAYER_LASTWEAPON       2
#define PLAYER_LASTAMMO         3
#define PLAYER_TIME             4
#define PLAYER_HEALTH           5
#define PLAYER_KILLCOUNT        6
#define PLAYER_KILLSTREAK       7
#define PLAYER_ROUNDS           8
#define PLAYER_SURVIVE          9
#define PLAYER_MISC             10
#define PLAYER_INDEX            11

// Weapons
#define WEAPON_INDEX		1024
#define MAX_CS_WEAPONS		33
#define MAX_DOD_WEAPONS		45

// Counter-strike weapons
#define CS_P228			1
#define CS_SCOUT		3
#define CS_HEGRENADE		4
#define CS_XM1014		5
#define CS_C4			6
#define CS_MAC10		7
#define CS_AUG			8
#define CS_SMOKEGRENADE		9
#define CS_ELITE		10
#define CS_FIVESEVEN		11
#define CS_UMP45		12
#define CS_SG550		13
#define CS_USP			16
#define CS_GLOCK18		17
#define CS_AWP			18
#define CS_MP5NAVY		19
#define CS_M249			20
#define CS_M3			21
#define CS_M4A1			22
#define CS_TMP			23
#define CS_G3SG1		24
#define CS_FLASHBANG		25
#define CS_DEAGLE		26
#define CS_SG552		27
#define CS_AK47			28
#define CS_KNIFE		29
#define CS_P90			30
#define CS_GALIL		31
#define CS_FAMAS		32
#define CS_SHIELD		33

// Day of defeat weapons
#define DOD_AMERKNIFE           1
#define DOD_GERKNIFE            2
#define DOD_COLT                3
#define DOD_LUGER               4
#define DOD_GARAND              5
#define DOD_SCOPEDKAR           6
#define DOD_THOMPSON            7
#define DOD_MP44                8
#define DOD_SPRING              9
#define DOD_KAR                 10
#define DOD_BAR                 11
#define DOD_MP40                12
#define DOD_GRENADE             13
#define DOD_GRENADE2            14
#define DOD_GRENADE_EX          15
#define DOD_GRENADE2_EX         16
#define DOD_MG42                17
#define DOD_30CAL               18
#define DOD_SPADE               19
#define DOD_M1CARBINE           20
#define DOD_MG34                21
#define DOD_GREASEGUN           22
#define DOD_FG42                23
#define DOD_K43                 24
#define DOD_ENFIELD             25
#define DOD_STEN                26
#define DOD_BREN                27
#define DOD_WEBLY               28
#define DOD_BAZOOKA             29
#define DOD_PSCHRECK            30
#define DOD_PIAT                31
#define DOD_SCOPED_FG42         32
#define DOD_FCARBINE            33
#define DOD_BAYONET             34
#define DOD_SCOPED_ENFIELD      35
#define DOD_MILLS_BOMB          36
#define DOD_BRIT_KNIFE          37
#define DOD_GARANDBUTT          38
#define DOD_ENF_BAYONET         39
#define DOD_K43BUTT		40
#define DOD_WEAPON41		41
#define DOD_WEAPON42		42
#define DOD_WEAPON43		43
#define DOD_WEAPON44		44
