<?php
/*****************************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*****************************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
MA 02111-1307, USA.
*/

/*****************************************************************
* Admin Base
*****************************************************************/

session_start();

header('Cache-control: private');

// Page definition
define("__ADMIN__", true);

// Session expire time
define('ADMIN_SESSION_TTL', 1800);

// Load config
require('./config.php');
require(PROGRAM_PATH.'/includes/proc_load_base.php');
include(PROGRAM_PATH.'/includes/proc_db_open.php');
include(PROGRAM_PATH.'/includes/proc_load_configs.php');
include(PROGRAM_PATH.'/includes/class_document.php');

if (sizeof($GAME_mods) <= 0) {
	echo L_ERR_MOD_SQL;
	exit;
}

include(PROGRAM_PATH.'/includes/proc_load_game.php');

// Page start time
$time = get_time_micro();

// Start document
$Doc = new Document;

if (!isset($_GET['q'])) $_GET['q'] = '';

if (!isset($_SESSION['login'])) {
	if ($_GET['q'] != '' && $_GET['q'] != 'login') {
		$Doc->setDocumentData('msg', L_NOT_LOGGED_IN);
	}
	$_GET['q'] = 'login';
}
else if (isset($_SESSION['login'])) {

	// Default page
	if ($_GET['q']=='') {
		$_GET['q'] = 'overview';
	}

	// Check for expired session
	if (isset($_SESSION['login']) && time()-$_SESSION['timeout'] > ADMIN_SESSION_TTL) {
		unset($_SESSION['login']);
		unset($_SESSION['timeout']);
		if (isset($_SESSION['timeout']) && time()-$_SESSION['timeout'] < (ADMIN_SESSION_TTL*2)) {
			$Doc->setDocumentData('msg', L_SESSION_EXPIRED);
		}
		$_GET['q'] = 'login';
	}
	else {
		$_SESSION['timeout'] = time();
		$Doc->setDocumentData('logged_in', true);
	}
}

// Load document
if (file_exists(PROGRAM_PATH.'/includes/admin_'.$_GET['q'].'.php')) {
	include(PROGRAM_PATH.'/includes/admin_'.$_GET['q'].'.php');
}

// Finish document
$Doc->setDocumentData('docmsg',get_token_string(L_PAGE_CREATED,array(number_format(get_time_micro()-$time,4,'',''))));
$Doc->createDocument();
$Doc->publishToBrowser();

include(PROGRAM_PATH.'/includes/proc_db_close.php');
?>