<?php
/*******************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*******************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/*******************************************************
* Index Base
*******************************************************/

// Page definition
define("__STATS__", true);

// Load config
require('./config.php');
require(PROGRAM_PATH.'/includes/proc_load_base.php');
include(PROGRAM_PATH.'/includes/proc_db_open.php');
include(PROGRAM_PATH.'/includes/proc_load_configs.php');
include(PROGRAM_PATH.'/includes/proc_load_game.php');
include(PROGRAM_PATH.'/includes/proc_load_servers.php');
include(PROGRAM_PATH.'/includes/class_document.php');

// Page start time
$time = get_time_micro();

// Start document
$Doc = new Document;

// Load live config
if (CFG_LIVE_FEED) $Doc->setDocumentData('cfg_live',true);

// Load document
include(PROGRAM_PATH.'/includes/stats_index.php');

// Get timestamp
$Doc->setDocumentData('timestamp',get_last_update());

// Load servers
$servers = array();
foreach ($GAME_servers as $key => $value) {
	array_push(
		$servers,
		array(
			'name'=>$value['server_name'],
			'address'=>$key,
			'game'=>$value['server_game'],
			'game_name'=>get_mod_name($value['server_game'])
		)
	);
}
$Doc->setDocumentData('servers',$servers);

// Finish document
$Doc->setDocumentData('docmsg',get_token_string(L_PAGE_CREATED,array(number_format(get_time_micro()-$time,4,'',''))));
$Doc->createDocument();
$Doc->publishToBrowser();

include(PROGRAM_PATH.'/includes/proc_db_close.php');
?>