<?php
/*******************************************************
* UCStats - A stats generation program for Half-Life games.
* Copyright (c) 2003 Mike Cao <mike@mikecao.com>
*******************************************************/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/*******************************************************
* Stats Base
*******************************************************/

// Page definition
define("__STATS__", true);

if (!isset($_GET['q'])) $_GET['q'] = 'players';

if ($_GET['q'] == 'faq') define("__FAQ__", true);

// Load config
require('./config.php');
require(PROGRAM_PATH.'/includes/proc_load_base.php');

if (is_null($GAME)) {
	header("Location: index.php");
}

include(PROGRAM_PATH.'/includes/class_document.php');
include(PROGRAM_PATH.'/includes/proc_db_open.php');
include(PROGRAM_PATH.'/includes/proc_load_configs.php');

if (sizeof($GAME_mods) <= 0) {
	echo L_ERR_MOD_SQL;
	exit;
}

include(PROGRAM_PATH.'/includes/proc_load_game.php');

if (isset($_SERVER['REQUEST_URI'])) {
	$url = $_SERVER['REQUEST_URI'];
}
else {
	$url = $_SERVER["SCRIPT_NAME"];
	if (sizeof($_GET)) {
		$url .= '?';
		foreach($_GET as $key => $value) {
			$url .= "&$key=$value";
		}
	}
}

$CACHE_FILE = WEB_PATH.'/cache/'.md5($url).'.html';

// Check for cached file
if (CFG_CACHE && file_exists($CACHE_FILE) && $_GET['q'] != 'live' && $_GET['q'] != 'faq') {
	echo implode('',file($CACHE_FILE));
}
// Otherwise create page dynamically
else {
	// Page start time
	$time = get_time_micro();

	// Start document
	$Doc = new Document;

	// Load checks
	$Doc->setDocumentData('show_nav', true);
	$Doc->setDocumentData('show_faq', true);
	if (CFG_LIVE_FEED) $Doc->setDocumentData('show_live', true);
	
	// Load document
	if ($_GET['q'] == 'players' || $_GET['q'] == 'search') {
		include(PROGRAM_PATH.'/includes/stats_players.php');
	}
	else if ($_GET['q'] == 'weapons' || $_GET['q'] == 'misc') {
		include(PROGRAM_PATH.'/includes/stats_ranks.php');
	}
	else if (file_exists(PROGRAM_PATH.'/includes/stats_'.$_GET['q'].'.php')) {
		include(PROGRAM_PATH.'/includes/stats_'.$_GET['q'].'.php');
	}

	// Get timestamp
	$Doc->setDocumentData('timestamp',get_last_update());
	
	// Set game
	$Doc->setDocumentData('game',$GAME);
	$Doc->setDocumentData('gamename',get_mod_name($GAME));
	
	// Finish document
	$Doc->setDocumentData('docmsg',get_token_string(L_PAGE_CREATED,array(number_format(get_time_micro()-$time,4,'',''))));
	$Doc->createDocument();
	$Doc->publishToBrowser();

	// Replace dynamic elements
	if (CFG_CACHE) {
		$Doc->setDocumentData('docmsg',get_token_string(L_PAGE_CACHED,array(date("m/d/Y - g:i a"))));
		if ($_GET['q'] == 'player') {
			$Doc->setDocumentData(
				'hits_image',
				get_image(
					'cache/'.md5($_GET['uid'].$_GET['weapon'].'hits').'.png',
					'weapon_hits',210,200
				)
			);
			$Doc->setDocumentData(
				'score_image',
				get_image('cache/'.md5($_GET['uid'].'score').'.png','score_chart',100,240)
			);
		}
		else if ($_GET['q'] == 'server') {
			$Doc->setDocumentData(
				'server_image',
				get_image('cache/'.md5($_GET['show'].$_GET['chart']).'.png','score_chart',150,530)
			);
		}
		$Doc->clearDocument();
		$Doc->createDocument();
		$Doc->publishToFile($CACHE_FILE);
	}
} // End dynamic create

include(PROGRAM_PATH.'/includes/proc_db_close.php');
?>
